/* Cumulative Prospect Theory Implication */
/* Bernheim - Sprenger */
/* domaintables.do */

/* Read In Data Set*/
clear
use "`c(pwd)'/Data/bernheimsprenger.dta"

/**** PRIMARY TABLES FOR TEXT *****/
/**** TABLE 3 *****/
/* Panel A: Mean Behavior */
qui xi: intreg klow khigh i.p3*i.x1above if dblock != 7 & dblock != 8 & multi == "No", clu(subject)
qui nlcom  (p10: _b[_cons])   (p30: _b[_cons] + _b[_Ip3_30])  (p60: _b[_cons] + _b[_Ip3_60]), post 
est store col1

qui xi: intreg klow khigh i.p3*i.x1above if dblock != 7 & dblock != 8 & multi == "No", clu(subject)
nlcom  (p10: 5/((_b[_cons])*(0.1/0.3)) )   (p30: 5/((_b[_cons] + _b[_Ip3_30])*(0.3/0.3)))  (p60: 5/((_b[_cons] + _b[_Ip3_60])*(0.6/0.3)))  ///
(pctchange1: log(5/((_b[_cons])*(0.1/0.3))) - log(5/((_b[_cons] + _b[_Ip3_30])*(0.3/0.3))))          ////
(pctchange2:  log(5/((_b[_cons] + _b[_Ip3_30])*(0.3/0.3)))  - log(5/((_b[_cons] + _b[_Ip3_60])*(0.6/0.3)))  ) ///
(pctchange3:  log(5/((_b[_cons])*(0.1/0.3)))  - log(5/((_b[_cons] + _b[_Ip3_60])*(0.6/0.3)))  ) ///
, post 
est store col1phi
test _b[p10] = _b[p30]
test _b[p10] = _b[p60], accum

nlcom (pctchange7090100: log((3/2*(exp(-_b[pctchange1])) - (1/2)))   ) ///
(pctchange407090: log(((exp(-_b[pctchange3])/((3/2*(exp(-_b[pctchange1])) - (1/2)))) - (1/6)*(1/(3/2*(exp(-_b[pctchange1])) - (1/2))) - (1/3) )*2) ) ///
, post 
est store col1percentages
test pctchange7090100
test pctchange407090


qui xi: intreg klow khigh i.p3*i.x1above if dblock != 7 & dblock != 8 & multi == "No", clu(subject)
qui nlcom (p10: _b[_cons] + _b[_Ix1above_1])   (p30: _b[_cons] + _b[_Ip3_30] + _b[_Ix1above_1] + _b[_Ip3Xx1a_30_1])   (p60: _b[_cons] + _b[_Ip3_60] + _b[_Ix1above_1] + _b[_Ip3Xx1a_60_1]), post 
est store col2

qui xi: intreg klow khigh i.p3*i.x1above if dblock != 7 & dblock != 8 & multi == "No", clu(subject)
qui nlcom (p10: 5/((_b[_cons] + _b[_Ix1above_1])*(0.1/0.3)))   (p30: 5/((_b[_cons] + _b[_Ip3_30] + _b[_Ix1above_1] + _b[_Ip3Xx1a_30_1])*(0.3/0.3)))   (p60: 5/((_b[_cons] + _b[_Ip3_60] + _b[_Ix1above_1] + _b[_Ip3Xx1a_60_1])*(0.6/0.3)))  ///
(pctchange1: log(5/((_b[_cons] + _b[_Ix1above_1])*(0.1/0.3))) - log(5/((_b[_cons] + _b[_Ip3_30] + _b[_Ix1above_1] + _b[_Ip3Xx1a_30_1])*(0.3/0.3)) ) ) ///
(pctchange2: log(5/((_b[_cons] + _b[_Ip3_30] + _b[_Ix1above_1] + _b[_Ip3Xx1a_30_1])*(0.3/0.3))) - log(5/((_b[_cons] + _b[_Ip3_60] + _b[_Ix1above_1] + _b[_Ip3Xx1a_60_1])*(0.6/0.3))) ) ///
 , post 
est store col2phi
test _b[p10] = _b[p30]
test _b[p10] = _b[p60], accum


qui xi: intreg klow khigh i.p3*i.x1above if dblock != 7 & dblock != 8 & multi == "No", clu(subject)
qui nlcom (p10kupper: _b[_cons])   (p30kupper: _b[_cons] + _b[_Ip3_30])  (p60kupper: _b[_cons] + _b[_Ip3_60]) (p10klower: _b[_cons] + _b[_Ix1above_1])   (p30klower: _b[_cons] + _b[_Ip3_30] + _b[_Ix1above_1] + _b[_Ip3Xx1a_30_1])   (p60klower: _b[_cons] + _b[_Ip3_60] + _b[_Ix1above_1] + _b[_Ip3Xx1a_60_1])   , post 
qui nlcom (p10: log(_b[p10klower]) - log(_b[p10kupper]) ) (p30: log(_b[p30klower]) - log(_b[p30kupper]))    (p60: log(_b[p60klower]) - log(_b[p60kupper])) , post
est store col3
capture drop covmat
matrix define covmat = e(V)

scalar p10act = _b[p10]
scalar p30act = _b[p30]
scalar p60act = _b[p60]
scalar p10actse = covmat[1,1]^(1/2) 
scalar p30actse = covmat[2,2]^(1/2) 
scalar p60actse = covmat[3,3]^(1/2) 

/* Panel B: CPT from CE, ER Predicted Values */
/* Column 4: ER Left */
nl (kmid = Z - (Z^{a=0.8}   -  (  (probY^{g= 0.6} / ((probY^{g= 0.6}  + (1-probY)^{g= 0.6})^(1/{g= 0.6}))) /(1 - (probXY^{g= 0.6} / ((probXY^{g= 0.6}  + (1-probXY)^{g= 0.6})^(1/{g= 0.6}))  )))* (Ym^{a=0.8} - Y^{a=0.8}))^(1/{a=0.8}) ) if dblock != 7 & dblock != 8 & multi == "No" & kmid != . & x1above == 0, clu(subject)
qui nlcom ///
(p10: log((0.90^(_b[g:_cons]) / ((0.90^(_b[g:_cons]) + 0.10^(_b[g:_cons]))^(1/_b[g:_cons]))) - (0.60^(_b[g:_cons]) / ((0.60^(_b[g:_cons]) + 0.40^(_b[g:_cons]))^(1/_b[g:_cons])))) - log(0.30^(_b[g:_cons]) / ((0.30^(_b[g:_cons]) + 0.70^(_b[g:_cons]))^(1/_b[g:_cons]))) ) ///
(p30: log((0.70^(_b[g:_cons]) / ((0.70^(_b[g:_cons]) + 0.30^(_b[g:_cons]))^(1/_b[g:_cons]))) - (0.40^(_b[g:_cons]) / ((0.40^(_b[g:_cons]) + 0.60^(_b[g:_cons]))^(1/_b[g:_cons])))) - log(0.30^(_b[g:_cons]) / ((0.30^(_b[g:_cons]) + 0.70^(_b[g:_cons]))^(1/_b[g:_cons]))) ) ///
(p60: log((0.40^(_b[g:_cons]) / ((0.40^(_b[g:_cons]) + 0.60^(_b[g:_cons]))^(1/_b[g:_cons]))) - (0.10^(_b[g:_cons]) / ((0.10^(_b[g:_cons]) + 0.90^(_b[g:_cons]))^(1/_b[g:_cons])))) - log(0.30^(_b[g:_cons]) / ((0.30^(_b[g:_cons]) + 0.70^(_b[g:_cons]))^(1/_b[g:_cons]))) ), ///
post 
est store col4
capture drop covmatERleft
matrix define covmatERleft = e(V)

scalar p10predERleft = _b[p10]
scalar p30predERleft = _b[p30]
scalar p60predERleft = _b[p60]
scalar p10predERleftse = covmatERleft[1,1]^(1/2) 
scalar p30predERleftse = covmatERleft[2,2]^(1/2) 
scalar p60predERleftse = covmatERleft[3,3]^(1/2) 


/* Generate Tests for Equality Between Predicted and Actual */
scalar t10ERleft = (p10act-p10predERleft)/((p10actse^2 + p10predERleftse^2)^(1/2))
scalar t30ERleft = (p30act-p30predERleft)/((p30actse^2 + p30predERleftse^2)^(1/2))
scalar t60ERleft = (p60act-p60predERleft)/((p60actse^2 + p60predERleftse^2)^(1/2))


/* Column 5: ER Right */
nl (kmid = Z - (Z^{a=0.8}   -  (     (   (probXY^{g= 0.6} / ((probXY^{g= 0.6}  + (1-probXY)^{g= 0.6})^(1/{g= 0.6}) ))  -   (probX^{g= 0.6} / ((probX^{g= 0.6}  + (1-probX)^{g= 0.6})^(1/{g= 0.6}))   ) )     /(1 - (probXY^{g= 0.6} / (probXY^{g= 0.6}  + (1-probXY)^{g= 0.6})^(1/{g= 0.6}))))* (Ym^{a=0.8} - Y^{a=0.8}))^(1/{a=0.8}) ) if dblock != 7 & dblock != 8 & multi == "No" & kmid != . & x1above == 1, clu(subject)
qui nlcom ///
(p10: log((0.90^(_b[g:_cons]) / ((0.90^(_b[g:_cons]) + 0.10^(_b[g:_cons]))^(1/_b[g:_cons]))) - (0.60^(_b[g:_cons]) / ((0.60^(_b[g:_cons]) + 0.40^(_b[g:_cons]))^(1/_b[g:_cons])))) - log(0.30^(_b[g:_cons]) / ((0.30^(_b[g:_cons]) + 0.70^(_b[g:_cons]))^(1/_b[g:_cons]))) ) ///
(p30: log((0.70^(_b[g:_cons]) / ((0.70^(_b[g:_cons]) + 0.30^(_b[g:_cons]))^(1/_b[g:_cons]))) - (0.40^(_b[g:_cons]) / ((0.40^(_b[g:_cons]) + 0.60^(_b[g:_cons]))^(1/_b[g:_cons])))) - log(0.30^(_b[g:_cons]) / ((0.30^(_b[g:_cons]) + 0.70^(_b[g:_cons]))^(1/_b[g:_cons]))) ) ///
(p60: log((0.40^(_b[g:_cons]) / ((0.40^(_b[g:_cons]) + 0.60^(_b[g:_cons]))^(1/_b[g:_cons]))) - (0.10^(_b[g:_cons]) / ((0.10^(_b[g:_cons]) + 0.90^(_b[g:_cons]))^(1/_b[g:_cons])))) - log(0.30^(_b[g:_cons]) / ((0.30^(_b[g:_cons]) + 0.70^(_b[g:_cons]))^(1/_b[g:_cons]))) ), ///
post 
est store col5
capture drop covmatERright
matrix define covmatERright = e(V)

scalar p10predERright = _b[p10]
scalar p30predERright = _b[p30]
scalar p60predERright = _b[p60]
scalar p10predERrightse = covmatERright[1,1]^(1/2) 
scalar p30predERrightse = covmatERright[2,2]^(1/2) 
scalar p60predERrightse = covmatERright[3,3]^(1/2) 

/* Generate Tests for Equality Between Predicted and Actual */
scalar t10ERright = (p10act-p10predERright)/((p10actse^2 + p10predERrightse^2)^(1/2))
scalar t30ERright = (p30act-p30predERright)/((p30actse^2 + p30predERrightse^2)^(1/2))
scalar t60ERright = (p60act-p60predERright)/((p60actse^2 + p60predERrightse^2)^(1/2))


/* Column 6: CE */
 nl (ceprop = (prob1^{g= 0.6} / ((prob1^{g= 0.6}  + (1-prob1)^{g= 0.6})^(1/{g= 0.6})))^(1/{a=0.8}) ) if dblock ==7 & multi =="No", clu(subject)
qui nlcom ///
(p10: log((0.90^(_b[g:_cons]) / ((0.90^(_b[g:_cons]) + 0.10^(_b[g:_cons]))^(1/_b[g:_cons]))) - (0.60^(_b[g:_cons]) / ((0.60^(_b[g:_cons]) + 0.40^(_b[g:_cons]))^(1/_b[g:_cons])))) - log(0.30^(_b[g:_cons]) / ((0.30^(_b[g:_cons]) + 0.70^(_b[g:_cons]))^(1/_b[g:_cons]))) ) ///
(p30: log((0.70^(_b[g:_cons]) / ((0.70^(_b[g:_cons]) + 0.30^(_b[g:_cons]))^(1/_b[g:_cons]))) - (0.40^(_b[g:_cons]) / ((0.40^(_b[g:_cons]) + 0.60^(_b[g:_cons]))^(1/_b[g:_cons])))) - log(0.30^(_b[g:_cons]) / ((0.30^(_b[g:_cons]) + 0.70^(_b[g:_cons]))^(1/_b[g:_cons]))) ) ///
(p60: log((0.40^(_b[g:_cons]) / ((0.40^(_b[g:_cons]) + 0.60^(_b[g:_cons]))^(1/_b[g:_cons]))) - (0.10^(_b[g:_cons]) / ((0.10^(_b[g:_cons]) + 0.90^(_b[g:_cons]))^(1/_b[g:_cons])))) - log(0.30^(_b[g:_cons]) / ((0.30^(_b[g:_cons]) + 0.70^(_b[g:_cons]))^(1/_b[g:_cons]))) ), ///
post 
est store col6
capture drop covmatCE
matrix define covmatCE = e(V)

scalar p10predCE = _b[p10]
scalar p30predCE = _b[p30]
scalar p60predCE = _b[p60]
scalar p10predCEse = covmatCE[1,1]^(1/2) 
scalar p30predCEse = covmatCE[2,2]^(1/2) 
scalar p60predCEse = covmatCE[3,3]^(1/2) 

/* Generate Tests for Equality Between Predicted and Actual */
scalar t10CE = (p10act-p10predCE)/((p10actse^2 + p10predCEse^2)^(1/2))
scalar t30CE = (p30act-p30predCE)/((p30actse^2 + p30predCEse^2)^(1/2))
scalar t60CE = (p60act-p60predCE)/((p60actse^2 + p60predCEse^2)^(1/2))



log on
/* Table 3: Equalizing Reductions */
estout col1 col2 col3 col4 col5  col6, cells("b(fmt(%9.2f)) se(par fmt(%9.2f))" ci(par fmt(%9.2f))) style(tex) 
estout col1phi col2phi, cells("b(fmt(%9.2f)) se(par fmt(%9.2f))" ci(par fmt(%9.2f))) style(tex)  
/* Additional Statistics Related to Phi (section 4.2.2) */
estout col1percentages, cells("b(fmt(%9.2f)) se(par fmt(%9.2f))" ci(par fmt(%9.2f))) style(tex)
/* Footnote 39 */
disp t10CE "&" t30CE  "&"  t60CE 
disp  t10ERleft  "&"  t30ERleft  "&"  t60ERleft
disp t10ERright "&"  t30ERright "&"  t60ERright

log off


/**** END TABLE 3 *****/


/**** BEGIN ANALYSIS SECTION 4.2.3 *****/

/*  CPT Estimator */
nl (kmid = ///
x1above*( ///
Z - (Z^{a=0.8}   -  (     (   (probXY^{g= 0.6} / ((probXY^{g= 0.6}  + (1-probXY)^{g= 0.6})^(1/{g= 0.6}) ))  -   (probX^{g= 0.6} / ((probX^{g= 0.6}  + (1-probX)^{g= 0.6})^(1/{g= 0.6}))   ) )     /(1 - (probXY^{g= 0.6} / (probXY^{g= 0.6}  + (1-probXY)^{g= 0.6})^(1/{g= 0.6}))))* (Ym^{a=0.8} - Y^{a=0.8}))^(1/{a=0.8}) /// 
) ///
+ (1- x1above)* ( ///
Z - (Z^{a=0.8}   -  (  (probY^{g= 0.6} / ((probY^{g= 0.6}  + (1-probY)^{g= 0.6})^(1/{g= 0.6}))) /(1 - (probXY^{g= 0.6} / ((probXY^{g= 0.6}  + (1-probXY)^{g= 0.6})^(1/{g= 0.6}))  )))* (Ym^{a=0.8} - Y^{a=0.8}))^(1/{a=0.8})  ///
) ///
) if dblock != 7 & dblock != 8 & multi == "No" & kmid != ., clu(subject)
est store col1

/* PT Estimator */
nl (kmid = Z - (Z^{a=0.8}   -  ( (probY^{g= 0.6} / ((probY^{g= 0.6}  + (1-probY)^{g= 0.6})^(1/{g= 0.6}))) / (probZ^{g= 0.6} /  ((probZ^{g= 0.6}  + (1-probZ)^{g= 0.6})^(1/{g= 0.6})))     )     * (Ym^{a=0.8} - Y^{a=0.8}))^(1/{a=0.8}) ) if dblock != 7 & dblock != 8 & multi == "No" & kmid != ., clu(subject)
est store col2 

/* Combined PT CPT Estimator */
nl (kmid = ///
{delta=0.1}*( ///
	x1above*( ///
		Z - (Z^{a=0.8}   -  (     (   (probXY^{g= 0.6} / ((probXY^{g= 0.6}  + (1-probXY)^{g= 0.6})^(1/{g= 0.6}) ))  -   (probX^{g= 0.6} / ((probX^{g= 0.6}  + (1-probX)^{g= 0.6})^(1/{g= 0.6}))   ) )     /(1 - (probXY^{g= 0.6} / (probXY^{g= 0.6}  + (1-probXY)^{g= 0.6})^(1/{g= 0.6}))))* (Ym^{a=0.8} - Y^{a=0.8}))^(1/{a=0.8}) /// 
	) ///
	+ (1- x1above)* ( ///
		Z - (Z^{a=0.8}   -  (  (probY^{g= 0.6} / ((probY^{g= 0.6}  + (1-probY)^{g= 0.6})^(1/{g= 0.6}))) /(1 - (probXY^{g= 0.6} / ((probXY^{g= 0.6}  + (1-probXY)^{g= 0.6})^(1/{g= 0.6}))  )))* (Ym^{a=0.8} - Y^{a=0.8}))^(1/{a=0.8})  ///
	) ///
) ///
+ (1-{delta=0.1})*( ///
	Z - (Z^{a=0.8}   -  ( (probY^{g= 0.6} / ((probY^{g= 0.6}  + (1-probY)^{g= 0.6})^(1/{g= 0.6}))) / (probZ^{g= 0.6} /  ((probZ^{g= 0.6}  + (1-probZ)^{g= 0.6})^(1/{g= 0.6})))     )     * (Ym^{a=0.8} - Y^{a=0.8}))^(1/{a=0.8}) ///
) ///	
) if dblock != 7 & dblock != 8 & multi == "No" & kmid != ., clu(subject)
est store col3

/* Combined PT CPT Estimator Constrained to be between zero and one weight */
nl (kmid = ///
(1/(1+exp({delta=0.1})))*( ///
	x1above*( ///
		Z - (Z^{a=0.8}   -  (     (   (probXY^{g= 0.6} / ((probXY^{g= 0.6}  + (1-probXY)^{g= 0.6})^(1/{g= 0.6}) ))  -   (probX^{g= 0.6} / ((probX^{g= 0.6}  + (1-probX)^{g= 0.6})^(1/{g= 0.6}))   ) )     /(1 - (probXY^{g= 0.6} / (probXY^{g= 0.6}  + (1-probXY)^{g= 0.6})^(1/{g= 0.6}))))* (Ym^{a=0.8} - Y^{a=0.8}))^(1/{a=0.8}) /// 
	) ///
	+ (1- x1above)* ( ///
		Z - (Z^{a=0.8}   -  (  (probY^{g= 0.6} / ((probY^{g= 0.6}  + (1-probY)^{g= 0.6})^(1/{g= 0.6}))) /(1 - (probXY^{g= 0.6} / ((probXY^{g= 0.6}  + (1-probXY)^{g= 0.6})^(1/{g= 0.6}))  )))* (Ym^{a=0.8} - Y^{a=0.8}))^(1/{a=0.8})  ///
	) ///
) ///
+ (1-(1/(1+exp({delta=0.1}))))*( ///
	Z - (Z^{a=0.8}   -  ( (probY^{g= 0.6} / ((probY^{g= 0.6}  + (1-probY)^{g= 0.6})^(1/{g= 0.6}))) / (probZ^{g= 0.6} /  ((probZ^{g= 0.6}  + (1-probZ)^{g= 0.6})^(1/{g= 0.6})))     )     * (Ym^{a=0.8} - Y^{a=0.8}))^(1/{a=0.8}) ///
) ///	
) if dblock != 7 & dblock != 8 & multi == "No" & kmid != ., clu(subject)
est store col3a

/*  CPT Estimator X>Y */
nl (kmid = ///
x1above*( ///
Z - (Z^{a=0.8}   -  (     (   (probXY^{g= 0.6} / ((probXY^{g= 0.6}  + (1-probXY)^{g= 0.6})^(1/{g= 0.6}) ))  -   (probX^{g= 0.6} / ((probX^{g= 0.6}  + (1-probX)^{g= 0.6})^(1/{g= 0.6}))   ) )     /(1 - (probXY^{g= 0.6} / (probXY^{g= 0.6}  + (1-probXY)^{g= 0.6})^(1/{g= 0.6}))))* (Ym^{a=0.8} - Y^{a=0.8}))^(1/{a=0.8}) /// 
) ///
+ (1- x1above)* ( ///
Z - (Z^{a=0.8}   -  (  (probY^{g= 0.6} / ((probY^{g= 0.6}  + (1-probY)^{g= 0.6})^(1/{g= 0.6}))) /(1 - (probXY^{g= 0.6} / ((probXY^{g= 0.6}  + (1-probXY)^{g= 0.6})^(1/{g= 0.6}))  )))* (Ym^{a=0.8} - Y^{a=0.8}))^(1/{a=0.8})  ///
) ///
) if dblock != 7 & dblock != 8 & multi == "No" & kmid != . & x1above ==1, clu(subject)
est store col4


/*  CPT Estimator X<Y */
nl (kmid = ///
x1above*( ///
Z - (Z^{a=0.8}   -  (     (   (probXY^{g= 0.6} / ((probXY^{g= 0.6}  + (1-probXY)^{g= 0.6})^(1/{g= 0.6}) ))  -   (probX^{g= 0.6} / ((probX^{g= 0.6}  + (1-probX)^{g= 0.6})^(1/{g= 0.6}))   ) )     /(1 - (probXY^{g= 0.6} / (probXY^{g= 0.6}  + (1-probXY)^{g= 0.6})^(1/{g= 0.6}))))* (Ym^{a=0.8} - Y^{a=0.8}))^(1/{a=0.8}) /// 
) ///
+ (1- x1above)* ( ///
Z - (Z^{a=0.8}   -  (  (probY^{g= 0.6} / ((probY^{g= 0.6}  + (1-probY)^{g= 0.6})^(1/{g= 0.6}))) /(1 - (probXY^{g= 0.6} / ((probXY^{g= 0.6}  + (1-probXY)^{g= 0.6})^(1/{g= 0.6}))  )))* (Ym^{a=0.8} - Y^{a=0.8}))^(1/{a=0.8})  ///
) ///
) if dblock != 7 & dblock != 8 & multi == "No" & kmid != . & x1above ==0, clu(subject)
est store col4a


/* CPT for Each Probability Series, p = 0.6 */
nl (kmid = ///
x1above*( ///
Z - (Z^{a=0.8}   -  (     (   (probXY^{g= 0.6} / ((probXY^{g= 0.6}  + (1-probXY)^{g= 0.6})^(1/{g= 0.6}) ))  -   (probX^{g= 0.6} / ((probX^{g= 0.6}  + (1-probX)^{g= 0.6})^(1/{g= 0.6}))   ) )     /(1 - (probXY^{g= 0.6} / (probXY^{g= 0.6}  + (1-probXY)^{g= 0.6})^(1/{g= 0.6}))))* (Ym^{a=0.8} - Y^{a=0.8}))^(1/{a=0.8}) /// 
) ///
+ (1- x1above)* ( ///
Z - (Z^{a=0.8}   -  (  (probY^{g= 0.6} / ((probY^{g= 0.6}  + (1-probY)^{g= 0.6})^(1/{g= 0.6}))) /(1 - (probXY^{g= 0.6} / ((probXY^{g= 0.6}  + (1-probXY)^{g= 0.6})^(1/{g= 0.6}))  )))* (Ym^{a=0.8} - Y^{a=0.8}))^(1/{a=0.8})  ///
) ///
) if dblock != 7 & dblock != 8 & multi == "No" & kmid != . & probX > 0.59 & probX < 0.61, clu(subject)
est store col5

/* CPT for Each Probability Series, p=0.4 */
nl (kmid = ///
x1above*( ///
Z - (Z^{a=0.8}   -  (     (   (probXY^{g= 0.6} / ((probXY^{g= 0.6}  + (1-probXY)^{g= 0.6})^(1/{g= 0.6}) ))  -   (probX^{g= 0.6} / ((probX^{g= 0.6}  + (1-probX)^{g= 0.6})^(1/{g= 0.6}))   ) )     /(1 - (probXY^{g= 0.6} / (probXY^{g= 0.6}  + (1-probXY)^{g= 0.6})^(1/{g= 0.6}))))* (Ym^{a=0.8} - Y^{a=0.8}))^(1/{a=0.8}) /// 
) ///
+ (1- x1above)* ( ///
Z - (Z^{a=0.8}   -  (  (probY^{g= 0.6} / ((probY^{g= 0.6}  + (1-probY)^{g= 0.6})^(1/{g= 0.6}))) /(1 - (probXY^{g= 0.6} / ((probXY^{g= 0.6}  + (1-probXY)^{g= 0.6})^(1/{g= 0.6}))  )))* (Ym^{a=0.8} - Y^{a=0.8}))^(1/{a=0.8})  ///
) ///
) if dblock != 7 & dblock != 8 & multi == "No" & kmid != . & probX > 0.39 & probX < 0.41, clu(subject)
est store col6


/* CPT for Each Probability Series, p = 0.1 */
nl (kmid = ///
x1above*( ///
Z - (Z^{a=0.8}   -  (     (   (probXY^{g= 0.6} / ((probXY^{g= 0.6}  + (1-probXY)^{g= 0.6})^(1/{g= 0.6}) ))  -   (probX^{g= 0.6} / ((probX^{g= 0.6}  + (1-probX)^{g= 0.6})^(1/{g= 0.6}))   ) )     /(1 - (probXY^{g= 0.6} / (probXY^{g= 0.6}  + (1-probXY)^{g= 0.6})^(1/{g= 0.6}))))* (Ym^{a=0.8} - Y^{a=0.8}))^(1/{a=0.8}) /// 
) ///
+ (1- x1above)* ( ///
Z - (Z^{a=0.8}   -  (  (probY^{g= 0.6} / ((probY^{g= 0.6}  + (1-probY)^{g= 0.6})^(1/{g= 0.6}))) /(1 - (probXY^{g= 0.6} / ((probXY^{g= 0.6}  + (1-probXY)^{g= 0.6})^(1/{g= 0.6}))  )))* (Ym^{a=0.8} - Y^{a=0.8}))^(1/{a=0.8})  ///
) ///
) if dblock != 7 & dblock != 8 & multi == "No" & kmid != . & probX > 0.09 & probX < 0.11, clu(subject)
est store col7







log on
/* Section 4.2.3: Additional Estimates of CPT, PT, Mixture and CPT for each Series */
estout col3 col3a col4 col4a col5 col6 col7, cells(b se) 
log off
/**** END ANALYSIS SECTION 4.2.3 *****/


/*** BEGIN ANALYSIS FOR FOOTNOTE 45 *****/
capture program drop cpt_estimator
program cpt_estimator
  args lnf a g lnsigma
  tempvar k Y Ym Z x1above probX probXY probY muabove mubelow mutotal
 
 quietly{
  	*initialize the data
	generate double `k' = $ML_y1
	generate double `Y' = $ML_y2
	generate double `Ym' = $ML_y3
	generate double `Z' = $ML_y4
	generate double `x1above' = $ML_y5
	generate double `probX' = $ML_y6
	generate double `probXY' = $ML_y7
	generate double `probY' = $ML_y8

	*establish CPT value when X > Y
	generate double `muabove' = `Z' - (`Z'^`a'   -  ((   (`probXY'^`g' / ((`probXY'^`g'  + (1-`probXY')^`g')^(1/`g') ))  -   (`probX'^`g' / ((`probX'^`g'  + (1-`probX')^`g')^(1/`g'))   ) )     /(1 - (`probXY'^`g' / (`probXY'^`g'  + (1-`probXY')^`g')^(1/`g'))))* (`Ym'^`a' - `Y'^`a'))^(1/`a') 

	*establish CPT value when X < Y
	generate double `mubelow' = `Z' - (`Z'^`a'   -  (  (`probY'^`g' / ((`probY'^`g'  + (1-`probY')^`g')^(1/`g'))) /(1 - (`probXY'^`g' / ((`probXY'^`g'  + (1-`probXY')^`g')^(1/`g'))  )))* (`Ym'^`a' - `Y'^`a'))^(1/`a') 

	*establish overal CPT value
	generate double `mutotal' = `x1above'*`muabove' + (1-`x1above')*`mubelow'
  
	*formulate likelihood
	replace `lnf' = ln(normalden(`k', `mutotal', exp(`lnsigma')))
}
end 




capture program drop eu_estimator
program eu_estimator
  args lnf a lnsigma
  tempvar k Y Ym Z probY probZ mu
 
 quietly{
  	*initialize the data
	generate double `k' = $ML_y1
	generate double `Y' = $ML_y2
	generate double `Ym' = $ML_y3
	generate double `Z' = $ML_y4
	generate double `probY' = $ML_y5
	generate double `probZ' = $ML_y6

	*establish PT value 
	generate double `mu' = `Z' - (`Z'^`a'   -  (  (`probY'^1 / ((`probY'^1  + (1-`probY')^1)^(1/1))) /(`probZ'^1 / ((`probZ'^1  + (1-`probZ')^1)^(1/1))  ))* (`Ym'^`a' - `Y'^`a'))^(1/`a') 

	*formulate likelihood
	replace `lnf' = ln(normalden(`k', `mu', exp(`lnsigma')))
}
end 


capture program drop pt_estimator
program pt_estimator
  args lnf a g lnsigma
  tempvar k Y Ym Z probY probZ mu
 
 quietly{
  	*initialize the data
	generate double `k' = $ML_y1
	generate double `Y' = $ML_y2
	generate double `Ym' = $ML_y3
	generate double `Z' = $ML_y4
	generate double `probY' = $ML_y5
	generate double `probZ' = $ML_y6

	*establish PT value 
	generate double `mu' = `Z' - (`Z'^`a'   -  (  (`probY'^`g' / ((`probY'^`g'  + (1-`probY')^`g')^(1/`g'))) /(`probZ'^`g' / ((`probZ'^`g'  + (1-`probZ')^`g')^(1/`g'))  ))* (`Ym'^`a' - `Y'^`a'))^(1/`a') 

	*formulate likelihood
	replace `lnf' = ln(normalden(`k', `mu', exp(`lnsigma')))
}
end 



constraint define 1 [g]_cons = 1
ml model lf pt_estimator (a: kmid Y Ym Z probY probZ = ) (g: ) (lnsigma:) if dblock != 7 & dblock != 8 & multi == "No" & kmid != ., technique(bhhh) maximize iter(50) init(0.9 0.8 0.1, copy) constraints(1) clu(subject)
ml display
est store colEU

constraint define 1 [g]_cons = 1
ml model lf eu_estimator (a: kmid Y Ym Z probY probZ = )  (lnsigma:) if dblock != 7 & dblock != 8 & multi == "No" & kmid != ., technique(bhhh) maximize iter(50) init(0.9 0.1, copy) constraints(1)  clu(subject)
ml display
est store col1check

ml model lf pt_estimator (a: kmid Y Ym Z probY probZ = ) (g: ) (lnsigma:) if dblock != 7 & dblock != 8 & multi == "No" & kmid != ., technique(bhhh) maximize iter(50) init(0.9 0.8 0.1, copy)  clu(subject)
ml display
est store colPT

ml model lf cpt_estimator (a: kmid Y Ym Z x1above probX probXY probY = ) (g: ) (lnsigma:) if dblock != 7 & dblock != 8 & multi == "No" & kmid != ., technique(bhhh) maximize iter(20) init(0.9 0.8 0.1, copy)  clu(subject)
ml display
est store colCPT



log on
/*Footnote 45 */
estout colEU colPT colCPT , cells(b(fmt(%9.3f)) se(par fmt(%9.3f))) stats(N ll aic bic) style(tex) 
log off
/*** END ANALYSIS FOR FOOTNOTE 45 ****/



/*** BEGIN TABLE 4 ***/
qui xi: intreg klow khigh i.p3*i.x1above if dblock == firsttask & multi == "No", clu(subject)
qui nlcom  (p10: _b[_cons])   (p30: _b[_cons] + _b[_Ip3_30])  (p60: _b[_cons] + _b[_Ip3_60]), post 
est store col1
qui xi: intreg klow khigh i.p3*i.x1above if dblock == firsttask & multi == "No", clu(subject)
qui nlcom (p10: _b[_cons] + _b[_Ix1above_1])   (p30: _b[_cons] + _b[_Ip3_30] + _b[_Ix1above_1] + _b[_Ip3Xx1a_30_1])   (p60: _b[_cons] + _b[_Ip3_60] + _b[_Ix1above_1] + _b[_Ip3Xx1a_60_1]), post 
est store col2
qui xi: intreg klow khigh i.p3*i.x1above if  dblock == firsttask & multi == "No", clu(subject)
qui nlcom  (p10: (_b[_Ix1above_1]) ) (p30: (_b[_Ix1above_1] + _b[_Ip3Xx1a_30_1])) (p60: (_b[_Ix1above_1] + _b[_Ip3Xx1a_60_1])), post   
est store col3
qui xi: intreg klow khigh i.p3*i.x1above if dblock == firsttask & multi == "No", clu(subject)
qui nlcom (p10kupper: _b[_cons])   (p30kupper: _b[_cons] + _b[_Ip3_30])  (p60kupper: _b[_cons] + _b[_Ip3_60]) (p10klower: _b[_cons] + _b[_Ix1above_1])   (p30klower: _b[_cons] + _b[_Ip3_30] + _b[_Ix1above_1] + _b[_Ip3Xx1a_30_1])   (p60klower: _b[_cons] + _b[_Ip3_60] + _b[_Ix1above_1] + _b[_Ip3Xx1a_60_1])   , post 
qui nlcom (p10: log(_b[p10klower]) - log(_b[p10kupper]) ) (p30: log(_b[p30klower]) - log(_b[p30kupper]))    (p60: log(_b[p60klower]) - log(_b[p60kupper])) , post
est store col4


xi: intreg klow khigh i.p3*i.x1above i.agegroup i.male crt meance if dblock == firsttask & multi == "No", clu(subject)
nlcom  ///
  (constant : _b[_Iagegroup_2]*0.3556 + _b[_Iagegroup_3]*0.3111 + _b[_Imale_1]*0.4815 + _b[crt]*2.148148 +  _b[meance]*11.64392 ///
   + _b[_cons] ) ///
  (p30: _b[_Ip3_30])  (p60: _b[_Ip3_60]) (above: _b[_Ix1above_1]) (above30: _b[_Ip3Xx1a_30_1]) (above60: _b[_Ip3Xx1a_60_1 ]), post
est save individvals, replace  

est use individvals
qui nlcom  (p10: _b[constant])   (p30: _b[constant] + _b[p30])  (p60: _b[constant] + _b[p60]), post 
est store col5
est use individvals
qui nlcom (p10: _b[constant] + _b[above])   (p30: _b[constant] + _b[p30] + _b[above] + _b[above30])   (p60: _b[constant] + _b[p60] + _b[above] + _b[above60]), post 
est store col6
est use individvals
qui nlcom  (p10: (_b[above]) ) (p30: (_b[above] + _b[above30])) (p60: (_b[above] + _b[above60])), post   
est store col7
est use individvals
qui nlcom (p10kupper: _b[constant])   (p30kupper: _b[constant] + _b[p30])  (p60kupper: _b[constant] + _b[p60])    (p10klower: _b[constant] + _b[above])   (p30klower: _b[constant] + _b[p30] + _b[above] + _b[above30])   (p60klower: _b[constant] + _b[p60] + _b[above] + _b[above60])  , post 
qui nlcom (p10: log(_b[p10klower]) - log(_b[p10kupper]) ) (p30: log(_b[p30klower]) - log(_b[p30kupper]))    (p60: log(_b[p60klower]) - log(_b[p60kupper])) , post
est store col8


log on
/*** Table 4 : Equalizing Reductions Between Subjects */
estout col1 col2 col3 col4 col5 col6 col7 col8, cells("b(fmt(%9.2f)) se(par fmt(%9.2f))" ci(par fmt(%9.2f))) style(tex) 
log off


log on 
/* Additional Statitistics Related To Table 4: Selection on Observables */
ttest crt if _j == 1 & multi =="No", by(leftfirst)
ttest age if _j == 1 & multi =="No" & crt != ., by(leftfirst)
ttest meance if _j == 1 & multi =="No" & crt != ., by(leftfirst)
ttest male if _j == 1 & multi =="No" & crt != ., by(leftfirst)

qui xi: reg leftfirst i.agegroup meance i.male crt  if _j == 1 & multi =="No", clu(subject)
test _Iagegroup_2 = _Iagegroup_3 =    meance =  _Imale_1 =    crt  = 0

log off
/*** END TABLE 4***/
/**** END PRIMARY TABLES FOR TEXT *****/


/**** APPENDIX TABLES *****/
 
/*** BEGIN TABLE A2 ***/
qui xi: intreg rlow rhigh i.p if dblock == 7 & multi =="No", clu(subject)
nlcom (p5: _b[_cons]) (p10: _b[_cons] + _b[_Ip_10])  (p25: _b[_cons] + _b[_Ip_25])   (p50: _b[_cons] + _b[_Ip_50])  (p75: _b[_cons] + _b[_Ip_75])  (p90: _b[_cons] + _b[_Ip_90])  (p95: _b[_cons] + _b[_Ip_95]), post 
est store col1

qui xi: intreg rlow rhigh i.p if dblock == 7 & multi =="No", clu(subject)
nlcom (p5: _b[_cons] - 1.25) (p10: _b[_cons] + _b[_Ip_10] - 2.50)  (p25: _b[_cons] + _b[_Ip_25] - 6.25)   (p50: _b[_cons] + _b[_Ip_50] - 12.50)  (p75: _b[_cons] + _b[_Ip_75] - 18.75)  (p90: _b[_cons] + _b[_Ip_90] - 22.5)  (p95: _b[_cons] + _b[_Ip_95] - 23.75), post 
est store col2

log on
/* Table A2: Certainty Equivalents */
estout col1 col2, cells(b(fmt(%9.2f)) se(par fmt(%9.2f))) style(tex) 
log off  
/*** END TABLE A2 ***/

/*** BEGIN TABLE A3 ****/
qui xi: intreg klow khigh i.p3*i.x1above if dblock != 7 & dblock != 8 & multi == "No", clu(subject)
est store col1a
test   _Ix1above_1  = _Ip3Xx1a_30_1  = _Ip3Xx1a_60_1  = 0
estadd scalar chi = r(chi2)
estadd scalar pval = r(p)
nlcom  ///
  (constant :  _b[_cons] ) ///
  (p30: _b[_Ip3_30])  (p60: _b[_Ip3_60]) (above: _b[_Ix1above_1]) (above30: _b[_Ip3Xx1a_30_1]) (above60: _b[_Ip3Xx1a_60_1 ]), post
est store col1
  
qui xi: intreg klow khigh i.p3*i.x1above i.subject if dblock != 7 & dblock != 8 & multi == "No", r 
est store col2a
test   _Ix1above_1  = _Ip3Xx1a_30_1  = _Ip3Xx1a_60_1  = 0
estadd scalar chi = r(chi2)
estadd scalar pval = r(p)
nlcom  ///
  (constant : (( _b[_Isubject_18  ] +  _b[_Isubject_19 ] +  _b[_Isubject_20 ] +  _b[_Isubject_21 ] +  _b[_Isubject_22 ] +  _b[_Isubject_23 ] +  _b[_Isubject_24 ] +  _b[_Isubject_25 ] +  _b[_Isubject_26 ] +  _b[_Isubject_27 ] + ///
  _b[_Isubject_28  ] +  _b[_Isubject_29 ] +  _b[_Isubject_30 ] +  _b[_Isubject_31 ] +  _b[_Isubject_32 ] +  _b[_Isubject_33 ] +  _b[_Isubject_34 ] +  _b[_Isubject_35 ] +  _b[_Isubject_36 ] +  _b[_Isubject_37 ] + ///
  _b[_Isubject_38  ] +  _b[_Isubject_39 ] +  _b[_Isubject_40 ] +  _b[_Isubject_41 ] +  _b[_Isubject_42 ] +  _b[_Isubject_43 ] +  _b[_Isubject_44 ] +  _b[_Isubject_45 ] +  _b[_Isubject_46 ] +  _b[_Isubject_47  ] + ///
  _b[_Isubject_48  ] +  _b[_Isubject_49 ] +  _b[_Isubject_50 ] +  _b[_Isubject_51 ] +  _b[_Isubject_52 ] +  _b[_Isubject_53 ] +  _b[_Isubject_54 ] +  _b[_Isubject_55 ] +  _b[_Isubject_56 ] +  _b[_Isubject_57 ] + ///
  _b[_Isubject_58  ] +  _b[_Isubject_59 ] +  _b[_Isubject_60 ] +  _b[_Isubject_61 ] +  _b[_Isubject_62 ] +  _b[_Isubject_63 ] +  _b[_Isubject_64 ] +  _b[_Isubject_65 ] +  _b[_Isubject_66 ] +  _b[_Isubject_67 ] + ///
  _b[_Isubject_68  ] +  _b[_Isubject_69 ] +  _b[_Isubject_70 ] +  _b[_Isubject_71 ] +  _b[_Isubject_72 ] +  _b[_Isubject_73 ] +  _b[_Isubject_74 ] +  _b[_Isubject_75 ] +  _b[_Isubject_76 ] +  _b[_Isubject_77 ] + ///
  _b[_Isubject_78  ] +  _b[_Isubject_79 ] +  _b[_Isubject_80 ] +  _b[_Isubject_81 ] +  _b[_Isubject_82 ] +  _b[_Isubject_83 ] +  _b[_Isubject_84 ] +  _b[_Isubject_85 ] +  _b[_Isubject_86 ] +  _b[_Isubject_87 ] + ///
  _b[_Isubject_88  ] +  _b[_Isubject_89 ] +  _b[_Isubject_90 ] +  _b[_Isubject_91 ] +  _b[_Isubject_92 ] +  _b[_Isubject_93 ] +  _b[_Isubject_94 ] +  _b[_Isubject_95 ] +  _b[_Isubject_96 ] +  _b[_Isubject_97 ] + ///
  _b[_Isubject_98  ] +  _b[_Isubject_99 ] +  _b[_Isubject_100 ] +  _b[_Isubject_101 ] +  _b[_Isubject_102 ] +  _b[_Isubject_103 ] +  _b[_Isubject_104 ] +  _b[_Isubject_105 ] +  _b[_Isubject_106 ] +  _b[_Isubject_107  ] + ///
  _b[_Isubject_108  ] +  _b[_Isubject_109 ] +  _b[_Isubject_110 ] +  _b[_Isubject_111 ] +  _b[_Isubject_112 ] +  _b[_Isubject_113 ] +  _b[_Isubject_114 ] +  _b[_Isubject_115 ] +  _b[_Isubject_116 ] +  _b[_Isubject_117 ] + ///
  _b[_Isubject_118  ] +  _b[_Isubject_119 ] +  _b[_Isubject_120 ] +  _b[_Isubject_121 ] +  _b[_Isubject_122 ] +  _b[_Isubject_123 ] +  _b[_Isubject_124 ] +  _b[_Isubject_125 ] +  _b[_Isubject_126 ] +  _b[_Isubject_127 ] + ///
  _b[_Isubject_128  ] +  _b[_Isubject_129 ] +  _b[_Isubject_130 ] +  _b[_Isubject_131 ] +  _b[_Isubject_132 ] +  _b[_Isubject_133 ] +  _b[_Isubject_134 ] +  _b[_Isubject_135 ] +  _b[_Isubject_136 ] +  _b[_Isubject_137 ] + /// 
  _b[_Isubject_138  ] +  _b[_Isubject_139 ] +  _b[_Isubject_140 ] +  _b[_Isubject_141 ] +  _b[_Isubject_142 ] +  _b[_Isubject_143 ] +  _b[_Isubject_144 ] +  _b[_Isubject_145 ] +  _b[_Isubject_146 ] +  _b[_Isubject_147 ] + ///
  _b[_Isubject_148  ] +  _b[_Isubject_149 ] +  _b[_Isubject_150 ] +  _b[_Isubject_151 ] +  _b[_Isubject_152 ] +  _b[_Isubject_153 ] +  _b[_Isubject_154 ] +  _b[_Isubject_155 ] +  _b[_Isubject_156 ] +  _b[_Isubject_157 ] + ///
  _b[_Isubject_158  ] +  _b[_Isubject_159 ] +  _b[_Isubject_160 ] +  _b[_Isubject_161 ] +  _b[_Isubject_162 ] +  _b[_Isubject_163 ] +  _b[_Isubject_164 ] +  _b[_Isubject_165 ] +  _b[_Isubject_166 ] +  _b[_Isubject_167 ] + /// 
  _b[_Isubject_168  ] +  _b[_Isubject_169] ) / 143  ) + _b[_cons] ) ///
  (p30: _b[_Ip3_30])  (p60: _b[_Ip3_60]) (above: _b[_Ix1above_1]) (above30: _b[_Ip3Xx1a_30_1]) (above60: _b[_Ip3Xx1a_60_1 ]), post
est store col2 

qui xi: intreg klow khigh i.p3*i.x1above if dblock == firsttask & multi == "No", clu(subject)
est store col3a
test   _Ix1above_1  = _Ip3Xx1a_30_1  = _Ip3Xx1a_60_1  = 0
estadd scalar chi = r(chi2)
estadd scalar pval = r(p)
nlcom  ///
  (constant :  _b[_cons] ) ///
  (p30: _b[_Ip3_30])  (p60: _b[_Ip3_60]) (above: _b[_Ix1above_1]) (above30: _b[_Ip3Xx1a_30_1]) (above60: _b[_Ip3Xx1a_60_1 ]), post
est store col3

qui xi: intreg klow khigh i.p3*i.x1above if dblock == firsttask & multi == "No" & crt != ., clu(subject)
est store col4a
test   _Ix1above_1  = _Ip3Xx1a_30_1  = _Ip3Xx1a_60_1  = 0
estadd scalar chi = r(chi2)
estadd scalar pval = r(p)
nlcom  ///
  (constant :  _b[_cons] ) ///
  (p30: _b[_Ip3_30])  (p60: _b[_Ip3_60]) (above: _b[_Ix1above_1]) (above30: _b[_Ip3Xx1a_30_1]) (above60: _b[_Ip3Xx1a_60_1 ]), post
est store col4


qui xi: intreg klow khigh i.p3*i.x1above i.agegroup i.male crt meance if dblock == firsttask & multi == "No", clu(subject)
est store col5a
test   _Ix1above_1  = _Ip3Xx1a_30_1  = _Ip3Xx1a_60_1  = 0
estadd scalar chi = r(chi2)
estadd scalar pval = r(p)
nlcom  ///
  (constant : _b[_Iagegroup_2]*0.3556 + _b[_Iagegroup_3]*0.3111 + _b[_Imale_1]*0.4815 + _b[crt]*2.148148 +  _b[meance]*11.64392 ///
   + _b[_cons] ) ///
  (p30: _b[_Ip3_30])  (p60: _b[_Ip3_60]) (above: _b[_Ix1above_1]) (above30: _b[_Ip3Xx1a_30_1]) (above60: _b[_Ip3Xx1a_60_1 ]), post
est store col5

qui xi: intreg klow khigh i.p3*i.x1above i.agegroup i.male crt if dblock == firsttask & multi == "No", clu(subject)
est store col6a
test   _Ix1above_1  = _Ip3Xx1a_30_1  = _Ip3Xx1a_60_1  = 0
estadd scalar chi = r(chi2)
estadd scalar pval = r(p)
nlcom  ///
  (constant : _b[_Iagegroup_2]*0.3556 + _b[_Iagegroup_3]*0.3111 + _b[_Imale_1]*0.4815 + _b[crt]*2.148148 ///
   + _b[_cons] ) ///
  (p30: _b[_Ip3_30])  (p60: _b[_Ip3_60]) (above: _b[_Ix1above_1]) (above30: _b[_Ip3Xx1a_30_1]) (above60: _b[_Ip3Xx1a_60_1 ]), post
est store col6  

log on
/* Table A3: Equalizing Reductions Within and Between Subjects */
estout col1 col2 col3 col4 col5 col6, cells(b(fmt(%9.2f)) se(par fmt(%9.2f))) style(tex) 
estout col1a col2a col3a col4a col5a col6a, cells(b(fmt(%9.2f)) se(par fmt(%9.2f))) style(tex) keep(_cons _Ip3_30 _Ip3_60 _Ix1above_1 _Ip3Xx1a_30_1 _Ip3Xx1a_60_1 _Iagegroup_2 _Iagegroup_3 _Imale_1 crt meance) stats(N ll chi pval, label("\# Observations" "Log-Likelihood" "Chi-Square") fmt( 0 2)) 
log off 
/*** END TABLE A3 ****/


/*** BEGIN TABLE A4 ***/
qui xi: intreg klow khigh i.p3*i.x1 if dblock != 7 & dblock != 8 & multi =="No", clu(subject)
nlcom (p10: _b[_cons]) (p30: _b[_cons] + _b[ _Ip3_30]) (p60: _b[_cons] + _b[ _Ip3_60]), post
est store col1
qui xi: intreg klow khigh i.p3*i.x1 if dblock != 7 & dblock != 8 & multi =="No", clu(subject)
nlcom (p10: _b[_cons] + _b[_Ix1_21]) (p30: _b[_cons] + _b[_Ix1_21] + _b[ _Ip3_30] + _b[_Ip3Xx1_30_21]) (p60: _b[_cons]  + _b[_Ix1_21] + _b[ _Ip3_60] + _b[_Ip3Xx1_60_21]), post
est store col2
qui xi: intreg klow khigh i.p3*i.x1 if dblock != 7 & dblock != 8 & multi =="No", clu(subject)
nlcom (p10: _b[_cons] + _b[_Ix1_23]) (p30: _b[_cons] + _b[_Ix1_23] + _b[ _Ip3_30] + _b[_Ip3Xx1_30_23]) (p60: _b[_cons]  + _b[_Ix1_23] + _b[ _Ip3_60] + _b[_Ip3Xx1_60_23]), post
est store col3
qui xi: intreg klow khigh i.p3*i.x1 if dblock != 7 & dblock != 8 & multi =="No", clu(subject)
nlcom (p10: _b[_cons] + _b[_Ix1_30]) (p30: _b[_cons] + _b[_Ix1_30] + _b[ _Ip3_30] + _b[_Ip3Xx1_30_30]) (p60: _b[_cons]  + _b[_Ix1_30] + _b[ _Ip3_60] + _b[_Ip3Xx1_60_30]), post
est store col5
qui xi: intreg klow khigh i.p3*i.x1 if dblock != 7 & dblock != 8 & multi =="No", clu(subject)
nlcom (p10: _b[_cons] + _b[_Ix1_32]) (p30: _b[_cons] + _b[_Ix1_32] + _b[ _Ip3_30] + _b[_Ip3Xx1_30_32]) (p60: _b[_cons]  + _b[_Ix1_32] + _b[ _Ip3_60] + _b[_Ip3Xx1_60_32]), post
est store col6
qui xi: intreg klow khigh i.p3*i.x1 if dblock != 7 & dblock != 8 & multi =="No", clu(subject)
nlcom (p10: _b[_cons] + _b[_Ix1_34]) (p30: _b[_cons] + _b[_Ix1_34] + _b[ _Ip3_30] + _b[_Ip3Xx1_30_34]) (p60: _b[_cons]  + _b[_Ix1_34] + _b[ _Ip3_60] + _b[_Ip3Xx1_60_34]), post
est store col7

qui xi: intreg klow khigh i.p3*i.x1above if dblock != 7 & dblock != 8 & multi =="No", clu(subject)
nlcom  (p10: _b[_cons])   (p30: _b[_cons] + _b[_Ip3_30])  (p60: _b[_cons] + _b[_Ip3_60]), post
est store col4 
qui xi: intreg klow khigh i.p3*i.x1above if dblock != 7 & dblock != 8 & multi =="No", clu(subject)
nlcom  (p10: _b[_cons] + _b[_Ix1above_1])   (p30: _b[_cons] + _b[_Ip3_30] + _b[_Ix1above_1] + _b[_Ip3Xx1a_30_1])   (p60: _b[_cons] + _b[_Ip3_60] + _b[_Ix1above_1] + _b[_Ip3Xx1a_60_1]) , post
est store col8

log on 
/* Appendix Table A4: Equalizing Reductions for All Conditions */
estout col1 col2 col3 col4 col5 col6 col7 col8, cells(b(fmt(%9.2f)) se(par fmt(%9.2f))) style(tex) 
log off
/*** END TABLE A4 ***/


/*** BEGIN TABLE A5 ***/
qui xi: intreg klow khigh i.p3*i.x1above i.subject if dblock != 7 & dblock != 8 & multi == "No", r 
nlcom  ///
  (constant : (( _b[_Isubject_18  ] +  _b[_Isubject_19 ] +  _b[_Isubject_20 ] +  _b[_Isubject_21 ] +  _b[_Isubject_22 ] +  _b[_Isubject_23 ] +  _b[_Isubject_24 ] +  _b[_Isubject_25 ] +  _b[_Isubject_26 ] +  _b[_Isubject_27 ] + ///
  _b[_Isubject_28  ] +  _b[_Isubject_29 ] +  _b[_Isubject_30 ] +  _b[_Isubject_31 ] +  _b[_Isubject_32 ] +  _b[_Isubject_33 ] +  _b[_Isubject_34 ] +  _b[_Isubject_35 ] +  _b[_Isubject_36 ] +  _b[_Isubject_37 ] + ///
  _b[_Isubject_38  ] +  _b[_Isubject_39 ] +  _b[_Isubject_40 ] +  _b[_Isubject_41 ] +  _b[_Isubject_42 ] +  _b[_Isubject_43 ] +  _b[_Isubject_44 ] +  _b[_Isubject_45 ] +  _b[_Isubject_46 ] +  _b[_Isubject_47  ] + ///
  _b[_Isubject_48  ] +  _b[_Isubject_49 ] +  _b[_Isubject_50 ] +  _b[_Isubject_51 ] +  _b[_Isubject_52 ] +  _b[_Isubject_53 ] +  _b[_Isubject_54 ] +  _b[_Isubject_55 ] +  _b[_Isubject_56 ] +  _b[_Isubject_57 ] + ///
  _b[_Isubject_58  ] +  _b[_Isubject_59 ] +  _b[_Isubject_60 ] +  _b[_Isubject_61 ] +  _b[_Isubject_62 ] +  _b[_Isubject_63 ] +  _b[_Isubject_64 ] +  _b[_Isubject_65 ] +  _b[_Isubject_66 ] +  _b[_Isubject_67 ] + ///
  _b[_Isubject_68  ] +  _b[_Isubject_69 ] +  _b[_Isubject_70 ] +  _b[_Isubject_71 ] +  _b[_Isubject_72 ] +  _b[_Isubject_73 ] +  _b[_Isubject_74 ] +  _b[_Isubject_75 ] +  _b[_Isubject_76 ] +  _b[_Isubject_77 ] + ///
  _b[_Isubject_78  ] +  _b[_Isubject_79 ] +  _b[_Isubject_80 ] +  _b[_Isubject_81 ] +  _b[_Isubject_82 ] +  _b[_Isubject_83 ] +  _b[_Isubject_84 ] +  _b[_Isubject_85 ] +  _b[_Isubject_86 ] +  _b[_Isubject_87 ] + ///
  _b[_Isubject_88  ] +  _b[_Isubject_89 ] +  _b[_Isubject_90 ] +  _b[_Isubject_91 ] +  _b[_Isubject_92 ] +  _b[_Isubject_93 ] +  _b[_Isubject_94 ] +  _b[_Isubject_95 ] +  _b[_Isubject_96 ] +  _b[_Isubject_97 ] + ///
  _b[_Isubject_98  ] +  _b[_Isubject_99 ] +  _b[_Isubject_100 ] +  _b[_Isubject_101 ] +  _b[_Isubject_102 ] +  _b[_Isubject_103 ] +  _b[_Isubject_104 ] +  _b[_Isubject_105 ] +  _b[_Isubject_106 ] +  _b[_Isubject_107  ] + ///
  _b[_Isubject_108  ] +  _b[_Isubject_109 ] +  _b[_Isubject_110 ] +  _b[_Isubject_111 ] +  _b[_Isubject_112 ] +  _b[_Isubject_113 ] +  _b[_Isubject_114 ] +  _b[_Isubject_115 ] +  _b[_Isubject_116 ] +  _b[_Isubject_117 ] + ///
  _b[_Isubject_118  ] +  _b[_Isubject_119 ] +  _b[_Isubject_120 ] +  _b[_Isubject_121 ] +  _b[_Isubject_122 ] +  _b[_Isubject_123 ] +  _b[_Isubject_124 ] +  _b[_Isubject_125 ] +  _b[_Isubject_126 ] +  _b[_Isubject_127 ] + ///
  _b[_Isubject_128  ] +  _b[_Isubject_129 ] +  _b[_Isubject_130 ] +  _b[_Isubject_131 ] +  _b[_Isubject_132 ] +  _b[_Isubject_133 ] +  _b[_Isubject_134 ] +  _b[_Isubject_135 ] +  _b[_Isubject_136 ] +  _b[_Isubject_137 ] + /// 
  _b[_Isubject_138  ] +  _b[_Isubject_139 ] +  _b[_Isubject_140 ] +  _b[_Isubject_141 ] +  _b[_Isubject_142 ] +  _b[_Isubject_143 ] +  _b[_Isubject_144 ] +  _b[_Isubject_145 ] +  _b[_Isubject_146 ] +  _b[_Isubject_147 ] + ///
  _b[_Isubject_148  ] +  _b[_Isubject_149 ] +  _b[_Isubject_150 ] +  _b[_Isubject_151 ] +  _b[_Isubject_152 ] +  _b[_Isubject_153 ] +  _b[_Isubject_154 ] +  _b[_Isubject_155 ] +  _b[_Isubject_156 ] +  _b[_Isubject_157 ] + ///
  _b[_Isubject_158  ] +  _b[_Isubject_159 ] +  _b[_Isubject_160 ] +  _b[_Isubject_161 ] +  _b[_Isubject_162 ] +  _b[_Isubject_163 ] +  _b[_Isubject_164 ] +  _b[_Isubject_165 ] +  _b[_Isubject_166 ] +  _b[_Isubject_167 ] + /// 
  _b[_Isubject_168  ] +  _b[_Isubject_169] ) / 143  ) + _b[_cons] ) ///
  (p30: _b[_Ip3_30])  (p60: _b[_Ip3_60]) (above: _b[_Ix1above_1]) (above30: _b[_Ip3Xx1a_30_1]) (above60: _b[_Ip3Xx1a_60_1 ]), post
est save fixedeffectsvals, replace  


est use fixedeffectsvals
qui nlcom  (p10: _b[constant])   (p30: _b[constant] + _b[p30])  (p60: _b[constant] + _b[p60]), post 
est store col1
est use fixedeffectsvals
qui nlcom (p10: _b[constant] + _b[above])   (p30: _b[constant] + _b[p30] + _b[above] + _b[above30])   (p60: _b[constant] + _b[p60] + _b[above] + _b[above60]), post 
est store col2
est use fixedeffectsvals
qui nlcom  (p10: (_b[above]) ) (p30: (_b[above] + _b[above30])) (p60: (_b[above] + _b[above60])), post   
est store col3
est use fixedeffectsvals
qui nlcom (p10kupper: _b[constant])   (p30kupper: _b[constant] + _b[p30])  (p60kupper: _b[constant] + _b[p60])    (p10klower: _b[constant] + _b[above])   (p30klower: _b[constant] + _b[p30] + _b[above] + _b[above30])   (p60klower: _b[constant] + _b[p60] + _b[above] + _b[above60])  , post 
qui nlcom (p10: log(_b[p10klower]) - log(_b[p10kupper]) ) (p30: log(_b[p30klower]) - log(_b[p30kupper]))    (p60: log(_b[p60klower]) - log(_b[p60kupper])) , post
est store col4


log on
/*Table A5: Equalizing Reductions with Fixed Effects*/
estout col1 col2 col3 col4, cells("b(fmt(%9.2f)) se(par fmt(%9.2f))" ci(par fmt(%9.2f))) style(tex) 
log off
/*** END TABLE A5 ***/


/*** BEGIN TABLE A6***/
qui xi: intreg klow khigh i.p3*i.x1above if dblock == firsttask & multi == "No", clu(subject)
qui nlcom  (p10: _b[_cons])   (p30: _b[_cons] + _b[_Ip3_30])  (p60: _b[_cons] + _b[_Ip3_60]), post 
est store col1
qui xi: intreg klow khigh i.p3*i.x1above if dblock == firsttask & multi == "No", clu(subject)
qui nlcom (p10: _b[_cons] + _b[_Ix1above_1])   (p30: _b[_cons] + _b[_Ip3_30] + _b[_Ix1above_1] + _b[_Ip3Xx1a_30_1])   (p60: _b[_cons] + _b[_Ip3_60] + _b[_Ix1above_1] + _b[_Ip3Xx1a_60_1]), post 
est store col2
qui xi: intreg klow khigh i.p3*i.x1above if  dblock == firsttask & multi == "No", clu(subject)
qui nlcom  (p10: (_b[_Ix1above_1]) ) (p30: (_b[_Ix1above_1] + _b[_Ip3Xx1a_30_1])) (p60: (_b[_Ix1above_1] + _b[_Ip3Xx1a_60_1])), post   
est store col3
qui xi: intreg klow khigh i.p3*i.x1above if dblock == firsttask & multi == "No", clu(subject)
qui nlcom (p10kupper: _b[_cons])   (p30kupper: _b[_cons] + _b[_Ip3_30])  (p60kupper: _b[_cons] + _b[_Ip3_60]) (p10klower: _b[_cons] + _b[_Ix1above_1])   (p30klower: _b[_cons] + _b[_Ip3_30] + _b[_Ix1above_1] + _b[_Ip3Xx1a_30_1])   (p60klower: _b[_cons] + _b[_Ip3_60] + _b[_Ix1above_1] + _b[_Ip3Xx1a_60_1])   , post 
qui nlcom (p10: log(_b[p10klower]) - log(_b[p10kupper]) ) (p30: log(_b[p30klower]) - log(_b[p30kupper]))    (p60: log(_b[p60klower]) - log(_b[p60kupper])) , post
est store col4


xi: intreg klow khigh i.p3*i.x1above i.agegroup i.male crt if dblock == firsttask & multi == "No", clu(subject)
nlcom  ///
  (constant : _b[_Iagegroup_2]*0.3556 + _b[_Iagegroup_3]*0.3111 + _b[_Imale_1]*0.4815 + _b[crt]*2.148148 ///
   + _b[_cons] ) ///
  (p30: _b[_Ip3_30])  (p60: _b[_Ip3_60]) (above: _b[_Ix1above_1]) (above30: _b[_Ip3Xx1a_30_1]) (above60: _b[_Ip3Xx1a_60_1 ]), post
est save individvals, replace  

est use individvals
qui nlcom  (p10: _b[constant])   (p30: _b[constant] + _b[p30])  (p60: _b[constant] + _b[p60]), post 
est store col5
est use individvals
qui nlcom (p10: _b[constant] + _b[above])   (p30: _b[constant] + _b[p30] + _b[above] + _b[above30])   (p60: _b[constant] + _b[p60] + _b[above] + _b[above60]), post 
est store col6
est use individvals
qui nlcom  (p10: (_b[above]) ) (p30: (_b[above] + _b[above30])) (p60: (_b[above] + _b[above60])), post   
est store col7
est use individvals
qui nlcom (p10kupper: _b[constant])   (p30kupper: _b[constant] + _b[p30])  (p60kupper: _b[constant] + _b[p60])    (p10klower: _b[constant] + _b[above])   (p30klower: _b[constant] + _b[p30] + _b[above] + _b[above30])   (p60klower: _b[constant] + _b[p60] + _b[above] + _b[above60])  , post 
qui nlcom (p10: log(_b[p10klower]) - log(_b[p10kupper]) ) (p30: log(_b[p30klower]) - log(_b[p30kupper]))    (p60: log(_b[p60klower]) - log(_b[p60kupper])) , post
est store col8

log on
/*** Table A6 : Equalizing Reductions Between Subjects Alternate Controls*/
estout col1 col2 col3 col4 col5 col6 col7 col8, cells("b(fmt(%9.2f)) se(par fmt(%9.2f))" ci(par fmt(%9.2f))) style(tex) 
log off
/*** END TABLE A6***/


/*** BEGIN TABLE A7 ***/
qui xi: intreg klow khigh i.p3*i.x1 if dblock != 7 & dblock != 8, clu(subject)
nlcom (p10: _b[_cons]) (p30: _b[_cons] + _b[ _Ip3_30]) (p60: _b[_cons] + _b[ _Ip3_60]), post
est store col1
qui xi: intreg klow khigh i.p3*i.x1 if dblock != 7 & dblock != 8, clu(subject)
nlcom (p10: _b[_cons] + _b[_Ix1_21]) (p30: _b[_cons] + _b[_Ix1_21] + _b[ _Ip3_30] + _b[_Ip3Xx1_30_21]) (p60: _b[_cons]  + _b[_Ix1_21] + _b[ _Ip3_60] + _b[_Ip3Xx1_60_21]), post
est store col2
qui xi: intreg klow khigh i.p3*i.x1 if dblock != 7 & dblock != 8, clu(subject)
nlcom (p10: _b[_cons] + _b[_Ix1_23]) (p30: _b[_cons] + _b[_Ix1_23] + _b[ _Ip3_30] + _b[_Ip3Xx1_30_23]) (p60: _b[_cons]  + _b[_Ix1_23] + _b[ _Ip3_60] + _b[_Ip3Xx1_60_23]), post
est store col3
qui xi: intreg klow khigh i.p3*i.x1 if dblock != 7 & dblock != 8, clu(subject)
nlcom (p10: _b[_cons] + _b[_Ix1_30]) (p30: _b[_cons] + _b[_Ix1_30] + _b[ _Ip3_30] + _b[_Ip3Xx1_30_30]) (p60: _b[_cons]  + _b[_Ix1_30] + _b[ _Ip3_60] + _b[_Ip3Xx1_60_30]), post
est store col5
qui xi: intreg klow khigh i.p3*i.x1 if dblock != 7 & dblock != 8, clu(subject)
nlcom (p10: _b[_cons] + _b[_Ix1_32]) (p30: _b[_cons] + _b[_Ix1_32] + _b[ _Ip3_30] + _b[_Ip3Xx1_30_32]) (p60: _b[_cons]  + _b[_Ix1_32] + _b[ _Ip3_60] + _b[_Ip3Xx1_60_32]), post
est store col6
qui xi: intreg klow khigh i.p3*i.x1 if dblock != 7 & dblock != 8, clu(subject)
nlcom (p10: _b[_cons] + _b[_Ix1_34]) (p30: _b[_cons] + _b[_Ix1_34] + _b[ _Ip3_30] + _b[_Ip3Xx1_30_34]) (p60: _b[_cons]  + _b[_Ix1_34] + _b[ _Ip3_60] + _b[_Ip3Xx1_60_34]), post
est store col7

qui xi: intreg klow khigh i.p3*i.x1above if dblock != 7 & dblock != 8, clu(subject)
nlcom  (p10: _b[_cons])   (p30: _b[_cons] + _b[_Ip3_30])  (p60: _b[_cons] + _b[_Ip3_60]), post
est store col4 
qui xi: intreg klow khigh i.p3*i.x1above if dblock != 7 & dblock != 8, clu(subject)
nlcom  (p10: _b[_cons] + _b[_Ix1above_1])   (p30: _b[_cons] + _b[_Ip3_30] + _b[_Ix1above_1] + _b[_Ip3Xx1a_30_1])   (p60: _b[_cons] + _b[_Ip3_60] + _b[_Ix1above_1] + _b[_Ip3Xx1a_60_1]) , post
est store col8

log on
/*** Table A7: Equalizing Reductions With Multiple Switchers ***/
estout col1 col2 col3 col4 col5 col6 col7 col8, cells(b(fmt(%9.2f)) se(par fmt(%9.2f))) style(tex) 
log off
/*** END TABLE A7 ***/


/**** BEGIN TABLE A8 ****/
qui xi: intreg klow khigh i.p3*i.x1 if dblock == firsttask & multi =="No" , clu(subject)
nlcom (p10: _b[_cons]) (p30: _b[_cons] + _b[ _Ip3_30]) (p60: _b[_cons] + _b[ _Ip3_60]), post
est store col1
qui xi: intreg klow khigh i.p3*i.x1 if dblock == firsttask & multi =="No", clu(subject)
nlcom (p10: _b[_cons] + _b[_Ix1_21]) (p30: _b[_cons] + _b[_Ix1_21] + _b[ _Ip3_30] + _b[_Ip3Xx1_30_21]) (p60: _b[_cons]  + _b[_Ix1_21] + _b[ _Ip3_60] + _b[_Ip3Xx1_60_21]), post
est store col2
qui xi: intreg klow khigh i.p3*i.x1 if dblock ==firsttask & multi =="No", clu(subject)
nlcom (p10: _b[_cons] + _b[_Ix1_23]) (p30: _b[_cons] + _b[_Ix1_23] + _b[ _Ip3_30] + _b[_Ip3Xx1_30_23]) (p60: _b[_cons]  + _b[_Ix1_23] + _b[ _Ip3_60] + _b[_Ip3Xx1_60_23]), post
est store col3
qui xi: intreg klow khigh i.p3*i.x1 if dblock == firsttask & multi =="No", clu(subject)
nlcom (p10: _b[_cons] + _b[_Ix1_30]) (p30: _b[_cons] + _b[_Ix1_30] + _b[ _Ip3_30] + _b[_Ip3Xx1_30_30]) (p60: _b[_cons]  + _b[_Ix1_30] + _b[ _Ip3_60] + _b[_Ip3Xx1_60_30]), post
est store col5
qui xi: intreg klow khigh i.p3*i.x1 if dblock == firsttask & multi =="No", clu(subject)
nlcom (p10: _b[_cons] + _b[_Ix1_32]) (p30: _b[_cons] + _b[_Ix1_32] + _b[ _Ip3_30] + _b[_Ip3Xx1_30_32]) (p60: _b[_cons]  + _b[_Ix1_32] + _b[ _Ip3_60] + _b[_Ip3Xx1_60_32]), post
est store col6
qui xi: intreg klow khigh i.p3*i.x1 if dblock == firsttask & multi =="No", clu(subject)
nlcom (p10: _b[_cons] + _b[_Ix1_34]) (p30: _b[_cons] + _b[_Ix1_34] + _b[ _Ip3_30] + _b[_Ip3Xx1_30_34]) (p60: _b[_cons]  + _b[_Ix1_34] + _b[ _Ip3_60] + _b[_Ip3Xx1_60_34]), post
est store col7
qui xi: intreg klow khigh i.p3*i.x1above if dblock == firsttask & multi =="No", clu(subject)
nlcom  (p10: _b[_cons])   (p30: _b[_cons] + _b[_Ip3_30])  (p60: _b[_cons] + _b[_Ip3_60]), post
est store col4 
qui xi: intreg klow khigh i.p3*i.x1above if dblock == firsttask & multi =="No", clu(subject)
nlcom  (p10: _b[_cons] + _b[_Ix1above_1])   (p30: _b[_cons] + _b[_Ip3_30] + _b[_Ix1above_1] + _b[_Ip3Xx1a_30_1])   (p60: _b[_cons] + _b[_Ip3_60] + _b[_Ix1above_1] + _b[_Ip3Xx1a_60_1]) , post
est store col8

log on 
/* Table A8: Equalizing Reductions First/Last Task Block  */
/* Panel A: First Task Block */
estout col1 col2 col3 col4 col5 col6 col7 col8, cells(b(fmt(%9.2f)) se(par fmt(%9.2f))) style(tex) 
log off

qui xi: intreg klow khigh i.p3*i.x1 if dblock == lasttask & multi =="No" , clu(subject)
nlcom (p10: _b[_cons]) (p30: _b[_cons] + _b[ _Ip3_30]) (p60: _b[_cons] + _b[ _Ip3_60]), post
est store col1
qui xi: intreg klow khigh i.p3*i.x1 if dblock == lasttask & multi =="No", clu(subject)
nlcom (p10: _b[_cons] + _b[_Ix1_21]) (p30: _b[_cons] + _b[_Ix1_21] + _b[ _Ip3_30] + _b[_Ip3Xx1_30_21]) (p60: _b[_cons]  + _b[_Ix1_21] + _b[ _Ip3_60] + _b[_Ip3Xx1_60_21]), post
est store col2
qui xi: intreg klow khigh i.p3*i.x1 if dblock == lasttask & multi =="No", clu(subject)
nlcom (p10: _b[_cons] + _b[_Ix1_23]) (p30: _b[_cons] + _b[_Ix1_23] + _b[ _Ip3_30] + _b[_Ip3Xx1_30_23]) (p60: _b[_cons]  + _b[_Ix1_23] + _b[ _Ip3_60] + _b[_Ip3Xx1_60_23]), post
est store col3
qui xi: intreg klow khigh i.p3*i.x1 if dblock == lasttask & multi =="No", clu(subject)
nlcom (p10: _b[_cons] + _b[_Ix1_30]) (p30: _b[_cons] + _b[_Ix1_30] + _b[ _Ip3_30] + _b[_Ip3Xx1_30_30]) (p60: _b[_cons]  + _b[_Ix1_30] + _b[ _Ip3_60] + _b[_Ip3Xx1_60_30]), post
est store col5
qui xi: intreg klow khigh i.p3*i.x1 if dblock == lasttask & multi =="No", clu(subject)
nlcom (p10: _b[_cons] + _b[_Ix1_32]) (p30: _b[_cons] + _b[_Ix1_32] + _b[ _Ip3_30] + _b[_Ip3Xx1_30_32]) (p60: _b[_cons]  + _b[_Ix1_32] + _b[ _Ip3_60] + _b[_Ip3Xx1_60_32]), post
est store col6
qui xi: intreg klow khigh i.p3*i.x1 if dblock == lasttask & multi =="No", clu(subject)
nlcom (p10: _b[_cons] + _b[_Ix1_34]) (p30: _b[_cons] + _b[_Ix1_34] + _b[ _Ip3_30] + _b[_Ip3Xx1_30_34]) (p60: _b[_cons]  + _b[_Ix1_34] + _b[ _Ip3_60] + _b[_Ip3Xx1_60_34]), post
est store col7

qui xi: intreg klow khigh i.p3*i.x1above if dblock == lasttask & multi =="No", clu(subject)
nlcom  (p10: _b[_cons])   (p30: _b[_cons] + _b[_Ip3_30])  (p60: _b[_cons] + _b[_Ip3_60]), post
est store col4 
qui xi: intreg klow khigh i.p3*i.x1above if dblock == lasttask & multi =="No", clu(subject)
nlcom  (p10: _b[_cons] + _b[_Ix1above_1])   (p30: _b[_cons] + _b[_Ip3_30] + _b[_Ix1above_1] + _b[_Ip3Xx1a_30_1])   (p60: _b[_cons] + _b[_Ip3_60] + _b[_Ix1above_1] + _b[_Ip3Xx1a_60_1]) , post
est store col8

log on 
/* Table A8: Equalizing Reductions First/Last Task Block  */
/* Panel B: Last Task Block */
estout col1 col2 col3 col4 col5 col6 col7 col8, cells(b(fmt(%9.2f)) se(par fmt(%9.2f))) style(tex) 
log off

/*** END TABLE A8 ****/



/*** BEGIN TABLE A9 ***/
/* Panel A: Estimate Prelec Weighting and Build Up Probability Distortion and Relevant Statistic for Each Column */
qui nl (ceprop = (exp(-(-log(prob1))^{g=0.5}))^(1/{a=0.8}) ) if dblock ==7 & multi =="No", clu(subject)
/* Build Up Probability Distortions */
qui nlcom (p10hat: (exp(-(-log(0.10))^_b[g:_cons])) )  ///
(p30hat: (exp(-(-log(0.30))^_b[g:_cons])) )  ///
(p40hat: (exp(-(-log(0.40))^_b[g:_cons])) )  ///
(p60hat: (exp(-(-log(0.60))^_b[g:_cons])) )  ///
(p70hat: (exp(-(-log(0.70))^_b[g:_cons])) )  ///
(p90hat: (exp(-(-log(0.90))^_b[g:_cons])) )  ///
(a: _b[a:_cons]) ///
, post 
qui nlcom ///
(p10:    18 -  (18^_b[a] - (_b[p30hat]/(_b[p10hat]))*(29^_b[a] - 24^_b[a]))^(1/_b[a])) ///
(p30:    18 -  (18^_b[a] - (_b[p30hat]/(_b[p30hat]))*(29^_b[a] - 24^_b[a]))^(1/_b[a])) ///
(p60:    18 -  (18^_b[a] - (_b[p30hat]/(_b[p60hat]))*(29^_b[a] - 24^_b[a]))^(1/_b[a])) ///
,post

est store col1

qui nl (ceprop = (exp(-(-log(prob1))^{g=0.5}))^(1/{a=0.8}) ) if dblock ==7 & multi =="No", clu(subject)
/* Build Up Probability Distortions */
qui nlcom (p10hat: (exp(-(-log(0.10))^_b[g:_cons])) )  ///
(p30hat: (exp(-(-log(0.30))^_b[g:_cons])) )  ///
(p40hat: (exp(-(-log(0.40))^_b[g:_cons])) )  ///
(p60hat: (exp(-(-log(0.60))^_b[g:_cons])) )  ///
(p70hat: (exp(-(-log(0.70))^_b[g:_cons])) )  ///
(p90hat: (exp(-(-log(0.90))^_b[g:_cons])) )  ///
(a: _b[a:_cons]) ///
, post 
qui nlcom (p60:    18 -  (18^_b[a] - ((_b[p40hat] -_b[p10hat])/(1-_b[p40hat]))*(29^_b[a] - 24^_b[a]))^(1/_b[a])) ///
(p30:    18 -  (18^_b[a] - ((_b[p70hat] -_b[p40hat])/(1-_b[p70hat]))*(29^_b[a] - 24^_b[a]))^(1/_b[a])) ///
(p10:    18 -  (18^_b[a] - ((_b[p90hat] -_b[p60hat])/(1-_b[p90hat]))*(29^_b[a] - 24^_b[a]))^(1/_b[a])), post

est store col2 



qui nl (ceprop = (exp(-(-log(prob1))^{g=0.5}))^(1/{a=0.8}) ) if dblock ==7 & multi =="No", clu(subject)
/* Build Up Probability Distortions */
qui nlcom (p10hat: (exp(-(-log(0.10))^_b[g:_cons])) )  ///
(p30hat: (exp(-(-log(0.30))^_b[g:_cons])) )  ///
(p40hat: (exp(-(-log(0.40))^_b[g:_cons])) )  ///
(p60hat: (exp(-(-log(0.60))^_b[g:_cons])) )  ///
(p70hat: (exp(-(-log(0.70))^_b[g:_cons])) )  ///
(p90hat: (exp(-(-log(0.90))^_b[g:_cons])) )  ///
(a: _b[a:_cons]) ///
, post 
qui nlcom (belowval60:    18 -  (18^_b[a] - (_b[p30hat]/(_b[p60hat]))*(29^_b[a] - 24^_b[a]))^(1/_b[a])) ///
(belowval30:    18 -  (18^_b[a] - (_b[p30hat]/(_b[p30hat]))*(29^_b[a] - 24^_b[a]))^(1/_b[a])) ///
(belowval10:    18 -  (18^_b[a] - (_b[p30hat]/(_b[p10hat]))*(29^_b[a] - 24^_b[a]))^(1/_b[a])) ///
(aboveval60:    18 -  (18^_b[a] - ((_b[p40hat] -_b[p10hat])/(1-_b[p40hat]))*(29^_b[a] - 24^_b[a]))^(1/_b[a])) ///
(aboveval30:    18 -  (18^_b[a] - ((_b[p70hat] -_b[p40hat])/(1-_b[p70hat]))*(29^_b[a] - 24^_b[a]))^(1/_b[a])) ///
(aboveval10:    18 -  (18^_b[a] - ((_b[p90hat] -_b[p60hat])/(1-_b[p90hat]))*(29^_b[a] - 24^_b[a]))^(1/_b[a])), post
qui nlcom (p10:  log(_b[aboveval10]) - log(_b[belowval10])  ) ///
(p30:  log(_b[aboveval30]) - log(_b[belowval30])     ) ///
(p60:  log( _b[aboveval60]) - log(_b[belowval60])   ), post

est store col3

qui nl (ceprop = (exp(-(-log(prob1))^{g=0.5}))^(1/{a=0.8}) ) if dblock ==7 & multi =="No", clu(subject)
/* Build Up Probability Distortions */
qui nlcom (p10hat: (exp(-(-log(0.10))^_b[g:_cons])) )  ///
(p30hat: (exp(-(-log(0.30))^_b[g:_cons])) )  ///
(p40hat: (exp(-(-log(0.40))^_b[g:_cons])) )  ///
(p60hat: (exp(-(-log(0.60))^_b[g:_cons])) )  ///
(p70hat: (exp(-(-log(0.70))^_b[g:_cons])) )  ///
(p90hat: (exp(-(-log(0.90))^_b[g:_cons])) )  ///
(a: _b[a:_cons]) ///
, post 
qui nlcom (belowval60:    18 -  (18^1 - (_b[p30hat]/(_b[p60hat]))*(29^1 - 24^1))^(1/1)) ///
(belowval30:    18 -  (18^1 - (_b[p30hat]/(_b[p30hat]))*(29^1 - 24^1))^(1/1)) ///
(belowval10:    18 -  (18^1 - (_b[p30hat]/(_b[p10hat]))*(29^1 - 24^1))^(1/1)) ///
(aboveval60:    18 -  (18^1 - ((_b[p40hat] -_b[p10hat])/(1-_b[p40hat]))*(29^1 - 24^1))^(1/1)) ///
(aboveval30:    18 -  (18^1 - ((_b[p70hat] -_b[p40hat])/(1-_b[p70hat]))*(29^1 - 24^1))^(1/1)) ///
(aboveval10:    18 -  (18^1 - ((_b[p90hat] -_b[p60hat])/(1-_b[p90hat]))*(29^1 - 24^1))^(1/1)), post
qui nlcom (p10:  log(_b[aboveval10]) - log(_b[belowval10])  ) ///
(p30:  log(_b[aboveval30]) - log(_b[belowval30])     ) ///
(p60:  log( _b[aboveval60]) - log(_b[belowval60])   ), post

est store col4




/* Panel B: Estimate TK Weighting and Build Up Probability Distortion and Relevant Statistic for Each Column */
qui nl (ceprop = (prob1^{g= 0.6} / (prob1^{g= 0.6}  + (1-prob1)^{g= 0.6})^(1/{g= 0.6}))^(1/{a=0.8}) ) if dblock ==7 & multi == "No", clu(subject)
qui nlcom (p10: 18 -  (18^_b[a:_cons] - (((0.30^(_b[g:_cons])/((0.30^(_b[g:_cons]) + 0.70^(_b[g:_cons]))^(1/_b[g:_cons]))))/(1-((0.90^(_b[g:_cons])/((0.90^(_b[g:_cons]) + 0.10^(_b[g:_cons]))^(1/_b[g:_cons]))))))*(29^_b[a:_cons] - 24^_b[a:_cons]))^(1/_b[a:_cons])) ///
(p30: 18 -  (18^_b[a:_cons] - (((0.30^(_b[g:_cons])/((0.30^(_b[g:_cons]) + 0.70^(_b[g:_cons]))^(1/_b[g:_cons]))))/(1-((0.70^(_b[g:_cons])/((0.70^(_b[g:_cons]) + 0.30^(_b[g:_cons]))^(1/_b[g:_cons]))))))*(29^_b[a:_cons] - 24^_b[a:_cons]))^(1/_b[a:_cons])) ///
(p60: 18 -  (18^_b[a:_cons] - (((0.30^(_b[g:_cons])/((0.30^(_b[g:_cons]) + 0.70^(_b[g:_cons]))^(1/_b[g:_cons]))))/(1-((0.40^(_b[g:_cons])/((0.40^(_b[g:_cons]) + 0.60^(_b[g:_cons]))^(1/_b[g:_cons]))))))*(29^_b[a:_cons] - 24^_b[a:_cons]))^(1/_b[a:_cons])) ///
, post

est store col5

qui nl (ceprop = (prob1^{g= 0.6} / (prob1^{g= 0.6}  + (1-prob1)^{g= 0.6})^(1/{g= 0.6}))^(1/{a=0.8}) ) if dblock ==7 & multi == "No", clu(subject)
qui nlcom (p10: 18 -  (18^_b[a:_cons] - ((((0.90^(_b[g:_cons])/((0.90^(_b[g:_cons]) + 0.10^(_b[g:_cons]))^(1/_b[g:_cons]))) ) - ((0.60^(_b[g:_cons])/((0.60^(_b[g:_cons]) + 0.40^(_b[g:_cons]))^(1/_b[g:_cons]))) ))/(1-((0.90^(_b[g:_cons])/((0.90^(_b[g:_cons]) + 0.10^(_b[g:_cons]))^(1/_b[g:_cons]))) )))*(29^_b[a:_cons] - 24^_b[a:_cons]))^(1/_b[a:_cons])) ///
(p30: 18 -  (18^_b[a:_cons] - ((((0.70^(_b[g:_cons])/((0.70^(_b[g:_cons]) + 0.30^(_b[g:_cons]))^(1/_b[g:_cons]))) ) - ((0.40^(_b[g:_cons])/((0.40^(_b[g:_cons]) + 0.60^(_b[g:_cons]))^(1/_b[g:_cons]))) ))/(1-((0.70^(_b[g:_cons])/((0.70^(_b[g:_cons]) + 0.30^(_b[g:_cons]))^(1/_b[g:_cons]))) )))*(29^_b[a:_cons] - 24^_b[a:_cons]))^(1/_b[a:_cons])) ///
(p60: 18 -  (18^_b[a:_cons] - ((((0.40^(_b[g:_cons])/((0.40^(_b[g:_cons]) + 0.60^(_b[g:_cons]))^(1/_b[g:_cons]))) ) - ((0.10^(_b[g:_cons])/((0.10^(_b[g:_cons]) + 0.90^(_b[g:_cons]))^(1/_b[g:_cons]))) ))/(1-((0.40^(_b[g:_cons])/((0.40^(_b[g:_cons]) + 0.60^(_b[g:_cons]))^(1/_b[g:_cons]))) )))*(29^_b[a:_cons] - 24^_b[a:_cons]))^(1/_b[a:_cons])) ///
, post

est store col6



qui nl (ceprop = (prob1^{g= 0.6} / (prob1^{g= 0.6}  + (1-prob1)^{g= 0.6})^(1/{g= 0.6}))^(1/{a=0.8}) ) if dblock ==7 & multi == "No", clu(subject)
qui nlcom ///
(p60kupper: 18 -  (18^_b[a:_cons] - (((0.30^(_b[g:_cons])/((0.30^(_b[g:_cons]) + 0.70^(_b[g:_cons]))^(1/_b[g:_cons]))))/(1-((0.40^(_b[g:_cons])/((0.40^(_b[g:_cons]) + 0.60^(_b[g:_cons]))^(1/_b[g:_cons]))))))*(29^_b[a:_cons] - 24^_b[a:_cons]))^(1/_b[a:_cons])) ///
(p30kupper: 18 -  (18^_b[a:_cons] - (((0.30^(_b[g:_cons])/((0.30^(_b[g:_cons]) + 0.70^(_b[g:_cons]))^(1/_b[g:_cons]))))/(1-((0.70^(_b[g:_cons])/((0.70^(_b[g:_cons]) + 0.30^(_b[g:_cons]))^(1/_b[g:_cons]))))))*(29^_b[a:_cons] - 24^_b[a:_cons]))^(1/_b[a:_cons])) ///
(p10kupper: 18 -  (18^_b[a:_cons] - (((0.30^(_b[g:_cons])/((0.30^(_b[g:_cons]) + 0.70^(_b[g:_cons]))^(1/_b[g:_cons]))))/(1-((0.90^(_b[g:_cons])/((0.90^(_b[g:_cons]) + 0.10^(_b[g:_cons]))^(1/_b[g:_cons]))))))*(29^_b[a:_cons] - 24^_b[a:_cons]))^(1/_b[a:_cons])) ///
(p60klower: 18 -  (18^_b[a:_cons] - ((((0.40^(_b[g:_cons])/((0.40^(_b[g:_cons]) + 0.60^(_b[g:_cons]))^(1/_b[g:_cons]))) ) - ((0.10^(_b[g:_cons])/((0.10^(_b[g:_cons]) + 0.90^(_b[g:_cons]))^(1/_b[g:_cons]))) ))/(1-((0.40^(_b[g:_cons])/((0.40^(_b[g:_cons]) + 0.60^(_b[g:_cons]))^(1/_b[g:_cons]))) )))*(29^_b[a:_cons] - 24^_b[a:_cons]))^(1/_b[a:_cons])) ///
(p30klower: 18 -  (18^_b[a:_cons] - ((((0.70^(_b[g:_cons])/((0.70^(_b[g:_cons]) + 0.30^(_b[g:_cons]))^(1/_b[g:_cons]))) ) - ((0.40^(_b[g:_cons])/((0.40^(_b[g:_cons]) + 0.60^(_b[g:_cons]))^(1/_b[g:_cons]))) ))/(1-((0.70^(_b[g:_cons])/((0.70^(_b[g:_cons]) + 0.30^(_b[g:_cons]))^(1/_b[g:_cons]))) )))*(29^_b[a:_cons] - 24^_b[a:_cons]))^(1/_b[a:_cons])) ///
(p10klower: 18 -  (18^_b[a:_cons] - ((((0.90^(_b[g:_cons])/((0.90^(_b[g:_cons]) + 0.10^(_b[g:_cons]))^(1/_b[g:_cons]))) ) - ((0.60^(_b[g:_cons])/((0.60^(_b[g:_cons]) + 0.40^(_b[g:_cons]))^(1/_b[g:_cons]))) ))/(1-((0.90^(_b[g:_cons])/((0.90^(_b[g:_cons]) + 0.10^(_b[g:_cons]))^(1/_b[g:_cons]))) )))*(29^_b[a:_cons] - 24^_b[a:_cons]))^(1/_b[a:_cons])) ///
,post 

qui nlcom (p10: log(_b[p10klower]) - log(_b[p10kupper]) ) (p30: log(_b[p30klower]) - log(_b[p30kupper]))    (p60: log(_b[p60klower]) - log(_b[p60kupper])) , post
est store col7


qui nl (ceprop = (prob1^{g= 0.6} / (prob1^{g= 0.6}  + (1-prob1)^{g= 0.6})^(1/{g= 0.6}))^(1/{a=0.8}) ) if dblock ==7 & multi == "No", clu(subject)
qui nlcom ///
(p60kupper: 18 -  (18^1 - (((0.30^(_b[g:_cons])/((0.30^(_b[g:_cons]) + 0.70^(_b[g:_cons]))^(1/_b[g:_cons]))))/(1-((0.40^(_b[g:_cons])/((0.40^(_b[g:_cons]) + 0.60^(_b[g:_cons]))^(1/_b[g:_cons]))))))*(29^1 - 24^1))^(1/1)) ///
(p30kupper: 18 -  (18^1 - (((0.30^(_b[g:_cons])/((0.30^(_b[g:_cons]) + 0.70^(_b[g:_cons]))^(1/_b[g:_cons]))))/(1-((0.70^(_b[g:_cons])/((0.70^(_b[g:_cons]) + 0.30^(_b[g:_cons]))^(1/_b[g:_cons]))))))*(29^1 - 24^1))^(1/1)) ///
(p10kupper: 18 -  (18^1 - (((0.30^(_b[g:_cons])/((0.30^(_b[g:_cons]) + 0.70^(_b[g:_cons]))^(1/_b[g:_cons]))))/(1-((0.90^(_b[g:_cons])/((0.90^(_b[g:_cons]) + 0.10^(_b[g:_cons]))^(1/_b[g:_cons]))))))*(29^1 - 24^1))^(1/1)) ///
(p60klower: 18 -  (18^1 - ((((0.40^(_b[g:_cons])/((0.40^(_b[g:_cons]) + 0.60^(_b[g:_cons]))^(1/_b[g:_cons]))) ) - ((0.10^(_b[g:_cons])/((0.10^(_b[g:_cons]) + 0.90^(_b[g:_cons]))^(1/_b[g:_cons]))) ))/(1-((0.40^(_b[g:_cons])/((0.40^(_b[g:_cons]) + 0.60^(_b[g:_cons]))^(1/_b[g:_cons]))) )))*(29^1 - 24^1))^(1/1)) ///
(p30klower: 18 -  (18^1 - ((((0.70^(_b[g:_cons])/((0.70^(_b[g:_cons]) + 0.30^(_b[g:_cons]))^(1/_b[g:_cons]))) ) - ((0.40^(_b[g:_cons])/((0.40^(_b[g:_cons]) + 0.60^(_b[g:_cons]))^(1/_b[g:_cons]))) ))/(1-((0.70^(_b[g:_cons])/((0.70^(_b[g:_cons]) + 0.30^(_b[g:_cons]))^(1/_b[g:_cons]))) )))*(29^1 - 24^1))^(1/1)) ///
(p10klower: 18 -  (18^1 - ((((0.90^(_b[g:_cons])/((0.90^(_b[g:_cons]) + 0.10^(_b[g:_cons]))^(1/_b[g:_cons]))) ) - ((0.60^(_b[g:_cons])/((0.60^(_b[g:_cons]) + 0.40^(_b[g:_cons]))^(1/_b[g:_cons]))) ))/(1-((0.90^(_b[g:_cons])/((0.90^(_b[g:_cons]) + 0.10^(_b[g:_cons]))^(1/_b[g:_cons]))) )))*(29^1 - 24^1))^(1/1)) ///
,post 

qui nlcom (p10: log(_b[p10klower]) - log(_b[p10kupper]) ) (p30: log(_b[p30klower]) - log(_b[p30kupper]))    (p60: log(_b[p60klower]) - log(_b[p60kupper])) , post
est store col8



log on

/* Table A9: Equalizing Reduction Predictions for Alternative Functional Forms */
estout col1 col2 col3 col4 col5 col6 col7 col8, cells("b(fmt(%9.2f)) se(par fmt(%9.2f))" ci(par fmt(%9.2f))) style(tex) 
log off

/**** END TABLE A9 ****/

/*** BEGIN ANALYSIS APPENDIX SECTION F.2 ***/

capture drop temp
gen temp = (dblock == 8)
log on
/* Appendix Section F.2 Using Explicit Rank Changes */
xi: intreg klow khigh  temp if x1 <=  25 & multi =="No" & p3 == 10, clu(subject)
test temp
xi: intreg klow khigh  temp if x1 <=   25 & multi =="No" & p3 == 30, clu(subject)
test temp
xi: intreg klow khigh  temp if x1 <=   25 & multi =="No" & p3 == 60, clu(subject)
test temp
xi: intreg klow khigh  temp if x1 >=  25 & multi =="No" & p3 == 10, clu(subject)
test temp
xi: intreg klow khigh  temp if x1 >=   25 & multi =="No" & p3 == 30, clu(subject)
test temp
xi: intreg klow khigh  temp if x1 >=   25 & multi =="No" & p3 == 60, clu(subject)
test temp
log off
/*** END ANALYSIS APPENDIX SECTION F.2 ***/


/*** BEGIN TABLE A10 ***/
/* Panel A: Mean Behavior */
qui xi: intreg klow khigh i.p3*i.x1above if dblock != 7 & dblock != 8, clu(subject)
qui nlcom  (p10: _b[_cons])   (p30: _b[_cons] + _b[_Ip3_30])  (p60: _b[_cons] + _b[_Ip3_60]), post 
est store col1
qui xi: intreg klow khigh i.p3*i.x1above if dblock != 7 & dblock != 8 , clu(subject)
qui nlcom (p10: _b[_cons] + _b[_Ix1above_1])   (p30: _b[_cons] + _b[_Ip3_30] + _b[_Ix1above_1] + _b[_Ip3Xx1a_30_1])   (p60: _b[_cons] + _b[_Ip3_60] + _b[_Ix1above_1] + _b[_Ip3Xx1a_60_1]), post 
est store col2
qui xi: intreg klow khigh i.p3*i.x1above if dblock != 7 & dblock != 8 , clu(subject)
qui nlcom (p10kupper: _b[_cons])   (p30kupper: _b[_cons] + _b[_Ip3_30])  (p60kupper: _b[_cons] + _b[_Ip3_60]) (p10klower: _b[_cons] + _b[_Ix1above_1])   (p30klower: _b[_cons] + _b[_Ip3_30] + _b[_Ix1above_1] + _b[_Ip3Xx1a_30_1])   (p60klower: _b[_cons] + _b[_Ip3_60] + _b[_Ix1above_1] + _b[_Ip3Xx1a_60_1])   , post 
qui nlcom (p10: log(_b[p10klower]) - log(_b[p10kupper]) ) (p30: log(_b[p30klower]) - log(_b[p30kupper]))    (p60: log(_b[p60klower]) - log(_b[p60kupper])) , post
est store col3
capture drop covmat
matrix define covmat = e(V)

scalar p10act = _b[p10]
scalar p30act = _b[p30]
scalar p60act = _b[p60]
scalar p10actse = covmat[1,1]^(1/2) 
scalar p30actse = covmat[2,2]^(1/2) 
scalar p60actse = covmat[3,3]^(1/2) 

/* Panel B: CPT from CE, ER Predicted Values */
/* Column 4: ER Left */
nl (kmid = Z - (Z^{a=0.8}   -  (  (probY^{g= 0.6} / ((probY^{g= 0.6}  + (1-probY)^{g= 0.6})^(1/{g= 0.6}))) /(1 - (probXY^{g= 0.6} / ((probXY^{g= 0.6}  + (1-probXY)^{g= 0.6})^(1/{g= 0.6}))  )))* (Ym^{a=0.8} - Y^{a=0.8}))^(1/{a=0.8}) ) if dblock != 7 & dblock != 8 & kmid != . & x1above == 0, clu(subject)
qui nlcom ///
(p10: log((0.90^(_b[g:_cons]) / ((0.90^(_b[g:_cons]) + 0.10^(_b[g:_cons]))^(1/_b[g:_cons]))) - (0.60^(_b[g:_cons]) / ((0.60^(_b[g:_cons]) + 0.40^(_b[g:_cons]))^(1/_b[g:_cons])))) - log(0.30^(_b[g:_cons]) / ((0.30^(_b[g:_cons]) + 0.70^(_b[g:_cons]))^(1/_b[g:_cons]))) ) ///
(p30: log((0.70^(_b[g:_cons]) / ((0.70^(_b[g:_cons]) + 0.30^(_b[g:_cons]))^(1/_b[g:_cons]))) - (0.40^(_b[g:_cons]) / ((0.40^(_b[g:_cons]) + 0.60^(_b[g:_cons]))^(1/_b[g:_cons])))) - log(0.30^(_b[g:_cons]) / ((0.30^(_b[g:_cons]) + 0.70^(_b[g:_cons]))^(1/_b[g:_cons]))) ) ///
(p60: log((0.40^(_b[g:_cons]) / ((0.40^(_b[g:_cons]) + 0.60^(_b[g:_cons]))^(1/_b[g:_cons]))) - (0.10^(_b[g:_cons]) / ((0.10^(_b[g:_cons]) + 0.90^(_b[g:_cons]))^(1/_b[g:_cons])))) - log(0.30^(_b[g:_cons]) / ((0.30^(_b[g:_cons]) + 0.70^(_b[g:_cons]))^(1/_b[g:_cons]))) ), ///
post 
est store col4
capture drop covmatERleft
matrix define covmatERleft = e(V)

scalar p10predERleft = _b[p10]
scalar p30predERleft = _b[p30]
scalar p60predERleft = _b[p60]
scalar p10predERleftse = covmatERleft[1,1]^(1/2) 
scalar p30predERleftse = covmatERleft[2,2]^(1/2) 
scalar p60predERleftse = covmatERleft[3,3]^(1/2) 


/* Generate Tests for Equality Between Predicted and Actual */
scalar t10ERleft = (p10act-p10predERleft)/((p10actse^2 + p10predERleftse^2)^(1/2))
scalar t30ERleft = (p30act-p30predERleft)/((p30actse^2 + p30predERleftse^2)^(1/2))
scalar t60ERleft = (p60act-p60predERleft)/((p60actse^2 + p60predERleftse^2)^(1/2))



/* Column 5: ER Right */
nl (kmid = Z - (Z^{a=0.8}   -  (     (   (probXY^{g= 0.6} / ((probXY^{g= 0.6}  + (1-probXY)^{g= 0.6})^(1/{g= 0.6}) ))  -   (probX^{g= 0.6} / ((probX^{g= 0.6}  + (1-probX)^{g= 0.6})^(1/{g= 0.6}))   ) )     /(1 - (probXY^{g= 0.6} / (probXY^{g= 0.6}  + (1-probXY)^{g= 0.6})^(1/{g= 0.6}))))* (Ym^{a=0.8} - Y^{a=0.8}))^(1/{a=0.8}) ) if dblock != 7 & dblock != 8  & kmid != . & x1above == 1, clu(subject)
qui nlcom ///
(p10: log((0.90^(_b[g:_cons]) / ((0.90^(_b[g:_cons]) + 0.10^(_b[g:_cons]))^(1/_b[g:_cons]))) - (0.60^(_b[g:_cons]) / ((0.60^(_b[g:_cons]) + 0.40^(_b[g:_cons]))^(1/_b[g:_cons])))) - log(0.30^(_b[g:_cons]) / ((0.30^(_b[g:_cons]) + 0.70^(_b[g:_cons]))^(1/_b[g:_cons]))) ) ///
(p30: log((0.70^(_b[g:_cons]) / ((0.70^(_b[g:_cons]) + 0.30^(_b[g:_cons]))^(1/_b[g:_cons]))) - (0.40^(_b[g:_cons]) / ((0.40^(_b[g:_cons]) + 0.60^(_b[g:_cons]))^(1/_b[g:_cons])))) - log(0.30^(_b[g:_cons]) / ((0.30^(_b[g:_cons]) + 0.70^(_b[g:_cons]))^(1/_b[g:_cons]))) ) ///
(p60: log((0.40^(_b[g:_cons]) / ((0.40^(_b[g:_cons]) + 0.60^(_b[g:_cons]))^(1/_b[g:_cons]))) - (0.10^(_b[g:_cons]) / ((0.10^(_b[g:_cons]) + 0.90^(_b[g:_cons]))^(1/_b[g:_cons])))) - log(0.30^(_b[g:_cons]) / ((0.30^(_b[g:_cons]) + 0.70^(_b[g:_cons]))^(1/_b[g:_cons]))) ), ///
post 
est store col5
capture drop covmatERright
matrix define covmatERright = e(V)

scalar p10predERright = _b[p10]
scalar p30predERright = _b[p30]
scalar p60predERright = _b[p60]
scalar p10predERrightse = covmatERright[1,1]^(1/2) 
scalar p30predERrightse = covmatERright[2,2]^(1/2) 
scalar p60predERrightse = covmatERright[3,3]^(1/2) 

/* Generate Tests for Equality Between Predicted and Actual */
scalar t10ERright = (p10act-p10predERright)/((p10actse^2 + p10predERrightse^2)^(1/2))
scalar t30ERright = (p30act-p30predERright)/((p30actse^2 + p30predERrightse^2)^(1/2))
scalar t60ERright = (p60act-p60predERright)/((p60actse^2 + p60predERrightse^2)^(1/2))


/* Column 6: CE */
 nl (ceprop = (prob1^{g= 0.6} / ((prob1^{g= 0.6}  + (1-prob1)^{g= 0.6})^(1/{g= 0.6})))^(1/{a=0.8}) ) if dblock ==7 , clu(subject)
qui nlcom ///
(p10: log((0.90^(_b[g:_cons]) / ((0.90^(_b[g:_cons]) + 0.10^(_b[g:_cons]))^(1/_b[g:_cons]))) - (0.60^(_b[g:_cons]) / ((0.60^(_b[g:_cons]) + 0.40^(_b[g:_cons]))^(1/_b[g:_cons])))) - log(0.30^(_b[g:_cons]) / ((0.30^(_b[g:_cons]) + 0.70^(_b[g:_cons]))^(1/_b[g:_cons]))) ) ///
(p30: log((0.70^(_b[g:_cons]) / ((0.70^(_b[g:_cons]) + 0.30^(_b[g:_cons]))^(1/_b[g:_cons]))) - (0.40^(_b[g:_cons]) / ((0.40^(_b[g:_cons]) + 0.60^(_b[g:_cons]))^(1/_b[g:_cons])))) - log(0.30^(_b[g:_cons]) / ((0.30^(_b[g:_cons]) + 0.70^(_b[g:_cons]))^(1/_b[g:_cons]))) ) ///
(p60: log((0.40^(_b[g:_cons]) / ((0.40^(_b[g:_cons]) + 0.60^(_b[g:_cons]))^(1/_b[g:_cons]))) - (0.10^(_b[g:_cons]) / ((0.10^(_b[g:_cons]) + 0.90^(_b[g:_cons]))^(1/_b[g:_cons])))) - log(0.30^(_b[g:_cons]) / ((0.30^(_b[g:_cons]) + 0.70^(_b[g:_cons]))^(1/_b[g:_cons]))) ), ///
post 
est store col4
capture drop covmatCE
matrix define covmatCE = e(V)

scalar p10predCE = _b[p10]
scalar p30predCE = _b[p30]
scalar p60predCE = _b[p60]
scalar p10predCEse = covmatCE[1,1]^(1/2) 
scalar p30predCEse = covmatCE[2,2]^(1/2) 
scalar p60predCEse = covmatCE[3,3]^(1/2) 

/* Generate Tests for Equality Between Predicted and Actual */
scalar t10CE = (p10act-p10predCE)/((p10actse^2 + p10predCEse^2)^(1/2))
scalar t30CE = (p30act-p30predCE)/((p30actse^2 + p30predCEse^2)^(1/2))
scalar t60CE = (p60act-p60predCE)/((p60actse^2 + p60predCEse^2)^(1/2))



log on
/* Table A10: Equalizing Reductions with Multiple Switchers */
estout col1 col2 col3 col4 col5 col6 , cells("b(fmt(%9.2f)) se(par fmt(%9.2f))" ci(par fmt(%9.2f))) style(tex) 
log off

/*** END TABLE A10 ***/

/**** END APPENDIX TABLES *****/


