/* Cumulative Prospect Theory Implications */
/* Bernheim - Sprenger */
/* doanalysis.do */

/* Files */
/* doanalysis.do: completes all analysis and writes out logs */
/* domainfigures.do: writes out figures and logs relevant statistics for main experiment */
/* domaintables.do: writes out tables and logs relevant statistics for main experiment  */
/* domodifieder.do: writes out figures and logs relevant statistics for modified equalizing reductions */
/* dosplitprobability.do: sets up, writes figures and logs relevant statistics for follow-up experiment (section 6) */


clear
set mem 100m
set more off

/* Establish Path */
/* Note: Change path accordingly to location of Stata folder */
cd "~/Dropbox/Working Material for Group Projects/Cumulative Prospect Theory Implications/Stata for Distribution"


/* Establish Log Location */
capture log close
log using "`c(pwd)'/Output/log.txt", replace text
log off

/* Construct Figures and Tables for Main Analysis*/
do "`c(pwd)'/Do Files/domainfigures.do"
do "`c(pwd)'/Do Files/domaintables.do"


/* Conduct Modified Equalizing Reductions Analysis */
do "`c(pwd)'/Do Files/domodifieder.do"

/* Conduct Split Sprobabiltiy Analysis */
do "`c(pwd)'/Do Files/dosplitprobability.do"


log close
